import sys
sys.path.insert(1, "../../")

from TextPart.textalinea import textalinea
from TextPart.masterrule import texttype
from TextPart.enum_type import enum_type

def hardcodedalineas_CADouma_DNN_Publication() -> list[textalinea]:
    """
    This code holds the content of the textalineas-array in the textsplitter-class
    for the document CADouma_DNN_Publication
    It is generated with the printcode()-functions of textsplitter & textalinea
    and it is supposed to be used only after a complete document analysis
    the outcome of this analysis (this script) can then be efficiently used
    for running regression-tests in the future.

    # Parameters: None (everything is hardcoded)
    # Return: list[textalinea] the hardcoded textalineas-array.
    """

    alineas = []

    thisalinea = textalinea()
    thisalinea.textlevel = 0
    thisalinea.texttitle = "CADouma_DNN_Publication"
    thisalinea.titlefontsize = "1000.0"
    thisalinea.nativeID = 0
    thisalinea.parentID = -1
    thisalinea.alineatype = texttype.TITLE
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "Contents lists available at ScienceDirect journal homepage: www.elsevier.com/locate/nima The R3B setup (Reactions with Radioactive Relativistic Beams setup) is a multi-purpose experimental setup used to study nuclear struc- ture properties of short-lived isotopes [1]. The setup will be located at the high-energy branch of the Super FRagment Separator (Super- FRS) [2] of the Facility for Antiproton and Ion Research (FAIR) [3] near Darmstadt in Germany. The heart of the R3B setup consists of a fixed target, at which a secondary beam generated in the Super-FRS is directed. The general goal of the R3B experiment is to provide a kinematically complete reconstruction "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Contents lists available at ScienceDirect")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Nuclear Inst. and Methods in Physics Research, A"
    thisalinea.titlefontsize = "13.94769999999994"
    thisalinea.nativeID = 1
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "journal homepage: www.elsevier.com/locate/nima "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("journal homepage: www.elsevier.com/locate/nima")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Development of a Deep Neural Network for the data analysis of the NeuLAND neutron detector C.A. Douma a,∗, E. Hoemann b, N. Kalantar-Nayestanaki a,c,∗, J. Mayer b, for the R3B Collaboration"
    thisalinea.titlefontsize = "13.449600000000032"
    thisalinea.nativeID = 2
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "The R3B setup (Reactions with Radioactive Relativistic Beams setup) is a multi-purpose experimental setup used to study nuclear struc- ture properties of short-lived isotopes [1]. The setup will be located at the high-energy branch of the Super FRagment Separator (Super- FRS) [2] of the Facility for Antiproton and Ion Research (FAIR) [3] near Darmstadt in Germany. The heart of the R3B setup consists of a fixed target, at which a secondary beam generated in the Super-FRS is directed. The general goal of the R3B experiment is to provide a kinematically complete reconstruction of all particles participating in the reaction [1], "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Introduction"
    thisalinea.titlefontsize = "7.970100000000002"
    thisalinea.nativeID = 3
    thisalinea.parentID = 2
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "The R3B setup (Reactions with Radioactive Relativistic Beams setup) is a multi-purpose experimental setup used to study nuclear struc- ture properties of short-lived isotopes [1]. The setup will be located at the high-energy branch of the Super FRagment Separator (Super- FRS) [2] of the Facility for Antiproton and Ion Research (FAIR) [3] near Darmstadt in Germany. The heart of the R3B setup consists of a fixed target, at which a secondary beam generated in the Super-FRS is directed. The general goal of the R3B experiment is to provide a kinematically complete reconstruction of all particles participating in the reaction [1], "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("The R3B setup (Reactions with Radioactive Relativistic Beams setup)")
    thisalinea.textcontent.append("is a multi-purpose experimental setup used to study nuclear struc-")
    thisalinea.textcontent.append("ture properties of short-lived isotopes [1]. The setup will be located")
    thisalinea.textcontent.append("at the high-energy branch of the Super FRagment Separator (Super-")
    thisalinea.textcontent.append("FRS) [2] of the Facility for Antiproton and Ion Research (FAIR) [3]")
    thisalinea.textcontent.append("near Darmstadt in Germany.")
    thisalinea.textcontent.append("The heart of the R3B setup consists of a fixed target, at which a")
    thisalinea.textcontent.append("secondary beam generated in the Super-FRS is directed. The general")
    thisalinea.textcontent.append("goal of the R3B experiment is to provide a kinematically complete")
    thisalinea.textcontent.append("reconstruction of all particles participating in the reaction [1], so that")
    thisalinea.textcontent.append("the nuclear structure of the beam isotope (which could be very short-")
    thisalinea.textcontent.append("lived) can be studied. In order to accomplish this, the fixed target is")
    thisalinea.textcontent.append("surrounded by many different detector systems (see Fig. 1).")
    thisalinea.textcontent.append("For most R3B experiments, the target is surrounded by silicon strip")
    thisalinea.textcontent.append("vertex detectors [4] to measure the charged-particle tracks close to the")
    thisalinea.textcontent.append("target. The CALIFA (CALorimeter for In-Flight detection of gamma-rays")
    thisalinea.textcontent.append("and high energy charged pArticles) [5] system encloses the vacuum")
    thisalinea.textcontent.append("chamber housing the silicon detectors. CALIFA measures gamma-rays")
    thisalinea.textcontent.append("from the decay of excited nuclei and light-charged particles that are")
    thisalinea.textcontent.append("produced at large angles. The heavier charged-particles produced at")
    thisalinea.textcontent.append("the reaction are usually (strongly) boosted in the forward direction")
    thisalinea.textcontent.append("and travel through the superconducting dipole magnet GLAD (Gsi")
    thisalinea.textcontent.append("LArge Dipole magnet) [6] downstream of the target. This magnet")
    thisalinea.textcontent.append("allows for spectrometric analysis of these charged particles. A complex")
    thisalinea.textcontent.append("tracking system of many detectors located both upstream and down-")
    thisalinea.textcontent.append("stream of GLAD [7] is used to measure the tracks of these heavier")
    thisalinea.textcontent.append("charged-particles. Several of these detectors are located inside the")
    thisalinea.textcontent.append("vacuum chamber downstream of GLAD, but some are also located")
    thisalinea.textcontent.append("at the end of the tube downstream of the vacuum chamber. Finally,")
    thisalinea.textcontent.append("neutrons produced at the target, which are generally also very forward-")
    thisalinea.textcontent.append("boosted, travel right through GLAD and are detected by NeuLAND (Neu")
    thisalinea.textcontent.append("Large-Area Neutron Detector) [8].")
    thisalinea.textcontent.append("NeuLAND [8] is a Time-of-Flight spectrometer for the detection of")
    thisalinea.textcontent.append("fast neutrons in the range 200 MeV − 1000 MeV [10]. The detector has a")
    thisalinea.textcontent.append("modular design and consists almost entirely of active RP408 scintillator")
    thisalinea.textcontent.append("material [11], which is a type of BC408 [12]. The neutrons that should")
    thisalinea.textcontent.append("be detected can undergo hadronic scattering within the scintillators")
    thisalinea.textcontent.append("of NeuLAND, which can lead to the production of secondary charged")
    thisalinea.textcontent.append("particles. These secondary charged particles are then detected through")
    thisalinea.textcontent.append("their scintillation light [10] and their energy and time of arrival are")
    thisalinea.textcontent.append("registered by the corresponding electronics.")
    thisalinea.textcontent.append("Each NeuLAND module, called a double-plane (dp), consists of 50")
    thisalinea.textcontent.append("horizontally oriented scintillators of 5 cm × 5 cm × 250 cm, followed by")
    thisalinea.textcontent.append("50 such scintillators in vertical orientation. Each scintillator is read out")
    thisalinea.textcontent.append("by two Photo-Multiplier Tubes (PMTs) (one at each endpoint) and is")
    thisalinea.textcontent.append("held in place with two 5 cm wide and 0.5 mm thick aluminum strips")
    thisalinea.textcontent.append("(see Fig. 2). From these specifications, it follows that each module")
    thisalinea.textcontent.append("(dp) has an active area of 2.5 m × 2.5 m and a thickness of 10 cm.")
    thisalinea.textcontent.append("The NeuLAND design goal is to have 30 dp. However, in the present")
    thisalinea.textcontent.append("situation (at the publication date of this work), funding is only secured")
    thisalinea.textcontent.append("for 16 dp and only 8 dp are currently mounted in the R3B setup (see")
    thisalinea.textcontent.append("Fig. 3).")
    thisalinea.textcontent.append("The problem that we wish to address in this paper, is that a single")
    thisalinea.textcontent.append("high-energy neutron can create a complex shower of secondary parti-")
    thisalinea.textcontent.append("cles (both charged and uncharged) in NeuLAND, which can produce")
    thisalinea.textcontent.append("signals in any number of scintillators between one and a hundred. This")
    thisalinea.textcontent.append("raises the issue which of these signals corresponds to the head of the")
    thisalinea.textcontent.append("shower; the first signal generated by the particle shower. This shower")
    thisalinea.textcontent.append("head is the information we need from NeuLAND [13], because together")
    thisalinea.textcontent.append("with the time and position of the reaction at the target, the time and")
    thisalinea.textcontent.append("position of the shower head allows us to reconstruct the 4-momentum")
    thisalinea.textcontent.append("vector of the neutron [8].")
    thisalinea.textcontent.append("The problem of finding the shower head(s) among all the scintillator")
    thisalinea.textcontent.append("signals in NeuLAND is challenging. Especially in the situation where")
    thisalinea.textcontent.append("multiple neutrons have to be detected in coincidence, solutions are")
    thisalinea.textcontent.append("far from trivial because of two reasons: (1) it is not (always) known")
    thisalinea.textcontent.append("a priori how many neutrons have impinged on the detector and (2)")
    thisalinea.textcontent.append("showers from distinct neutrons tend to overlap quite often. These")
    thisalinea.textcontent.append("problems were already addressed in Refs. [8,13]. However, the solu-")
    thisalinea.textcontent.append("tions proposed there have typical shortcomings in neutron detection,")
    thisalinea.textcontent.append("mainly in terms of efficiency (how often one succeeds in correctly")
    thisalinea.textcontent.append("identifying the shower heads). A good efficiency for identifying the")
    thisalinea.textcontent.append("shower heads is crucial, because this determines the required beam-")
    thisalinea.textcontent.append("time for an experiment. For this reason, we propose a newly-developed")
    thisalinea.textcontent.append("Machine Learning (ML) algorithm [14] to find the shower heads in")
    thisalinea.textcontent.append("NeuLAND.")
    thisalinea.textcontent.append("The methodology of the new ML algorithm is discussed in Section 2.")
    thisalinea.textcontent.append("The performance of this algorithm (mainly in terms of efficiency)")
    thisalinea.textcontent.append("and its systematic uncertainties are discussed in Sections 3 and 4. In")
    thisalinea.textcontent.append("Section 5, future possibilities for further improvements on top of the")
    thisalinea.textcontent.append("new algorithm are discussed. Finally, conclusions and a summary are")
    thisalinea.textcontent.append("presented in Section 6.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Methodology"
    thisalinea.titlefontsize = "7.970100000000002"
    thisalinea.nativeID = 4
    thisalinea.parentID = 2
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "In order to explain the implementation of the ML algorithm in the NeuLAND data-analysis procedure, a brief overview of this procedure is given. This procedure is explained in Fig. 4. Central in this scheme are the NeuLAND ‘‘Hits’’. These are tuples of 5 numbers: {𝐸, 𝑡, 𝑥, 𝑦, 𝑧}. Within one event, each scintillator that produced a signal is assigned exactly one such a 5-tuple. 𝑡 and 𝐸 stand for the energy deposition and the time of the scintillator hit, as reconstructed from the PMT pulses. The position coordinate (either 𝑥 or 𝑦) along the scintillator is also obtained from "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "2.1. Data generation and preparation"
    thisalinea.titlefontsize = "7.9700999999998885"
    thisalinea.nativeID = 5
    thisalinea.parentID = 4
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "In order to explain the implementation of the ML algorithm in the NeuLAND data-analysis procedure, a brief overview of this procedure is given. This procedure is explained in Fig. 4. Central in this scheme are the NeuLAND ‘‘Hits’’. These are tuples of 5 numbers: {𝐸, 𝑡, 𝑥, 𝑦, 𝑧}. Within one event, each scintillator that produced a signal is assigned exactly one such a 5-tuple. 𝑡 and 𝐸 stand for the energy deposition and the time of the scintillator hit, as reconstructed from the PMT pulses. The position coordinate (either 𝑥 or 𝑦) along the scintillator is also obtained from "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("In order to explain the implementation of the ML algorithm in the")
    thisalinea.textcontent.append("NeuLAND data-analysis procedure, a brief overview of this procedure")
    thisalinea.textcontent.append("is given. This procedure is explained in Fig. 4. Central in this scheme")
    thisalinea.textcontent.append("are the NeuLAND ‘‘Hits’’. These are tuples of 5 numbers: {𝐸, 𝑡, 𝑥, 𝑦, 𝑧}.")
    thisalinea.textcontent.append("Within one event, each scintillator that produced a signal is assigned")
    thisalinea.textcontent.append("exactly one such a 5-tuple. 𝑡 and 𝐸 stand for the energy deposition and")
    thisalinea.textcontent.append("the time of the scintillator hit, as reconstructed from the PMT pulses.")
    thisalinea.textcontent.append("The position coordinate (either 𝑥 or 𝑦) along the scintillator is also")
    thisalinea.textcontent.append("obtained from these PMT pulses. The other two position coordinates")
    thisalinea.textcontent.append("are obtained from the geometric position of the scintillator. Together,")
    thisalinea.textcontent.append("these 5-tuples (NeuLAND ‘‘Hits’’) contain all relevant information from")
    thisalinea.textcontent.append("NeuLAND.")
    thisalinea.textcontent.append("The ‘‘Hits’’ can either be obtained from the experiment, or from")
    thisalinea.textcontent.append("simulation. In both cases, the information from all PMT pulses gen-")
    thisalinea.textcontent.append("erated in NeuLAND is first converted to QDC ((Q)charge-to-Digital")
    thisalinea.textcontent.append("Convert) values and TDC (Time-to-Digital Convert) values. Next, a")
    thisalinea.textcontent.append("‘‘Hit’’ is produced for each scintillator in NeuLAND where a PMT pulse")
    thisalinea.textcontent.append("was generated at both ends. In such a ‘‘Hit’’, 𝐸 is obtained as the")
    thisalinea.textcontent.append("geometrical mean of the two QDC values of those two PMT pulses [8].")
    thisalinea.textcontent.append("𝑡 is obtained as the standard mean of the two corresponding TDC")
    thisalinea.textcontent.append("values. The position coordinate along the scintillator is obtained from")
    thisalinea.textcontent.append("the difference of those same TDC values.")
    thisalinea.textcontent.append("To obtain the ‘‘Hits’’ from simulation, the PMT pulses were phe-")
    thisalinea.textcontent.append("nomenologically obtained from the outcome of the Monte Carlo trans-")
    thisalinea.textcontent.append("port. The corresponding TDC values were calculated with respect to the")
    thisalinea.textcontent.append("beginning of the event, which is exactly known in a simulation. This")
    thisalinea.textcontent.append("process is called digitization and it accounts for several experimental")
    thisalinea.textcontent.append("effects in the PMT pulses, such as time resolution (𝜎 = 150 ps), energy")
    thisalinea.textcontent.append("resolution (𝜎 = 50 keV), detection threshold (1 MeV of deposited energy")
    thisalinea.textcontent.append("for virtually all experiments), saturation effects, Birk’s law, and light")
    thisalinea.textcontent.append("attenuation. For more details on how the PMT pulses were calculated,")
    thisalinea.textcontent.append("the interested reader is referred to Sect. 7.2 in Ref. [15]. The resolution")
    thisalinea.textcontent.append("effects result in uncertainties in the ‘‘Hit’’-values of 𝜎 = 212 ps for the")
    thisalinea.textcontent.append("𝑡-value and 𝜎 = 3 cm for the position coordinate along the scintillator.")
    thisalinea.textcontent.append("In this work, the simulations were carried out by R3BRoot [16,17],")
    thisalinea.textcontent.append("which is an integral framework for simulation and data analysis of")
    thisalinea.textcontent.append("the R3B experiment. For our simulations, the NeuLAND geometry, as")
    thisalinea.textcontent.append("discussed in Section 1, was used (with a distance of 14 m between")
    thisalinea.textcontent.append("NeuLAND and the target position). Individual scintillators were mod-")
    thisalinea.textcontent.append("eled in agreement with Refs. [10,13]. For the physics list, one of the")
    thisalinea.textcontent.append("following two reference physics lists was used: QGSP_INCLXX_HP or")
    thisalinea.textcontent.append("against experimental data [13] and reality was found to be about")
    thisalinea.textcontent.append("halfway between them. As event generator, the traditional NeuLAND")
    thisalinea.textcontent.append("simulation files of the 132Sn breakup reaction with a relative energy of")
    thisalinea.textcontent.append("500 keV were used [13]. The relative energy between the neutrons of a")
    thisalinea.textcontent.append("single event is defined as the invariant mass of those neutrons together")
    thisalinea.textcontent.append("minus the sum of the individual neutron masses: 𝐸𝑟𝑒𝑙 = |")
    thisalinea.textcontent.append("The invariant mass is obtained by first adding the 4-momenta of all")
    thisalinea.textcontent.append("neutrons within the event, and then taking the length of the resulting")
    thisalinea.textcontent.append("4-momentum vector. As such, the relative energy is a measure for the")
    thisalinea.textcontent.append("excitation energy of the recoil nucleus (although not exactly the same).")
    thisalinea.textcontent.append("When the ‘‘Hits’’ are obtained from the experiment, the TDC values")
    thisalinea.textcontent.append("are measured with respect to a common-stop signal. However, as not all")
    thisalinea.textcontent.append("data channels have exactly the same processing speed and the common-")
    thisalinea.textcontent.append("stop signal usually does not correspond to the beginning of the event,")
    thisalinea.textcontent.append("the TDC values have to be synchronized before they can be used to")
    thisalinea.textcontent.append("∑ 𝑝𝜇")
    thisalinea.textcontent.append("obtain ‘‘Hits’’ that can be compared to the simulation. Since for all")
    thisalinea.textcontent.append("NeuLAND experiments, rates are expected to be low enough (< 1 MHz)")
    thisalinea.textcontent.append("so that different events do not overlap, this synchronization can be")
    thisalinea.textcontent.append("handled event-by-event. Likewise, QDC values have to be calibrated")
    thisalinea.textcontent.append("(event-by-event) before they can be used to obtain such ‘‘Hits’’. This")
    thisalinea.textcontent.append("calibration and synchronization procedure is also used to correct for")
    thisalinea.textcontent.append("experimental effects that were not considered in the digitization pro-")
    thisalinea.textcontent.append("cess, such as biases and walk effects. This procedure to first apply such")
    thisalinea.textcontent.append("corrections to the experimental data and then obtain ‘‘Hits’’ for further")
    thisalinea.textcontent.append("data processing, is what is typically used in NeuLAND experiments such")
    thisalinea.textcontent.append("as Ref. [18].")
    thisalinea.textcontent.append("A full discussion of the two considered physics lists")
    thisalinea.textcontent.append("for short) used is beyond the scope of this work, but we shall briefly")
    thisalinea.textcontent.append("discuss the most relevant differences between them. NeuLAND is a")
    thisalinea.textcontent.append("neutron detector of BC408 [8], a CH2-organic scintillator. Hence, the")
    thisalinea.textcontent.append("most important parameters in the physics list are the neutron-to-")
    thisalinea.textcontent.append("hydrogen and neutron-to-carbon cross sections. These cross sections")
    thisalinea.textcontent.append("have been tabulated in Table 1 for various neutron energies. These cross")
    thisalinea.textcontent.append("sections were obtained by directly extracting them from simulations.")
    thisalinea.textcontent.append("They are not dominated by one or two specific reaction types, but are")
    thisalinea.textcontent.append("a sum of many different reactions.")
    thisalinea.textcontent.append("The Bertini physics list (QGSP_BERT_HP) is based on the Bertini")
    thisalinea.textcontent.append("cascade model developed to simulate high-energy particle physics [19].")
    thisalinea.textcontent.append("On the other hand, the INCLXX physics list (QGSP_INCLXX_HP) is an")
    thisalinea.textcontent.append("experimental/phenomenological physics list developed for simulating")
    thisalinea.textcontent.append("nuclear physics experiments in the intermediate energy range [20].")
    thisalinea.textcontent.append("As INCLXX is dedicated to nuclear physics, it explicitly takes the")
    thisalinea.textcontent.append("production of secondary light nuclei into account, such as deuterium,")
    thisalinea.textcontent.append("tritium and helium-3. Bertini does not do this, which is the main reason")
    thisalinea.textcontent.append("why the neutron-to-carbon cross sections are significantly lower for")
    thisalinea.textcontent.append("Bertini. Both Bertini and INCLXX do take the production of secondary")
    thisalinea.textcontent.append("alphas into account. Energy spectra of the produced secondary protons")
    thisalinea.textcontent.append("do not differ very much. However, as our benchmark in Ref. [13]")
    thisalinea.textcontent.append("is about halfway between the two physics lists, we conclude that")
    thisalinea.textcontent.append("INCLXX overestimates the production of light nuclei, while Bertini")
    thisalinea.textcontent.append("underestimates this.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "2.2. Multiplicity determination"
    thisalinea.titlefontsize = "7.970100000000002"
    thisalinea.nativeID = 6
    thisalinea.parentID = 4
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "After the ‘‘Hits’’ are identified, they are first clustered together according to the procedure outlined in Refs. [13,15]. This procedure assigns ‘‘Hits’’ that have 𝛥𝑥 ≤ 7.5 cm, 𝛥𝑦 ≤ 7.5 cm, 𝛥𝑧 ≤ 7.5 cm and 𝛥𝑡 ≤ 1.0 ns to the same cluster. All these clusters (even those of a single ‘‘Hit’’) are then considered in the subsequent analysis. The next step (see Fig. 4) is to determine the multiplicity of the event (the number of neutrons that came from the target). For this step, we propose the use of ML. We have chosen to use of a "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("After the ‘‘Hits’’ are identified, they are first clustered together")
    thisalinea.textcontent.append("according to the procedure outlined in Refs. [13,15]. This procedure")
    thisalinea.textcontent.append("assigns ‘‘Hits’’ that have 𝛥𝑥 ≤ 7.5 cm, 𝛥𝑦 ≤ 7.5 cm, 𝛥𝑧 ≤ 7.5 cm and")
    thisalinea.textcontent.append("𝛥𝑡 ≤ 1.0 ns to the same cluster. All these clusters (even those of a single")
    thisalinea.textcontent.append("‘‘Hit’’) are then considered in the subsequent analysis. The next step")
    thisalinea.textcontent.append("(see Fig. 4) is to determine the multiplicity of the event (the number of")
    thisalinea.textcontent.append("neutrons that came from the target). For this step, we propose the use of")
    thisalinea.textcontent.append("ML. We have chosen to use of a Deep Neural Network for this, because")
    thisalinea.textcontent.append("this seemed to be the fastest option in terms of CPU processing time.")
    thisalinea.textcontent.append("A Convolutional Neural Network (CNN) has also been investigated for")
    thisalinea.textcontent.append("the multiplicity determination [21], but while this method was found to")
    thisalinea.textcontent.append("have about the same performance (in terms of efficiency) as our work")
    thisalinea.textcontent.append("(see Appendix), its CPU processing time was much slower.")
    thisalinea.textcontent.append("The DNN was equipped with three input neurons per scintillator.")
    thisalinea.textcontent.append("These input neurons contain the ‘‘Hit’’ energy deposition 𝐸, the time of")
    thisalinea.textcontent.append("the scintillator ‘‘Hit’’ 𝑡 and the position coordinate of the ‘‘Hit’’ along")
    thisalinea.textcontent.append("the scintillator (either 𝑥 or 𝑦). For scintillators without a hit, three")
    thisalinea.textcontent.append("zeros were given as inputs. This way, all ‘‘Hit’’ information (which")
    thisalinea.textcontent.append("is all relevant information NeuLAND has to offer [8]) is fed into the")
    thisalinea.textcontent.append("DNN. The information of the other two position coordinates from the")
    thisalinea.textcontent.append("‘‘Hits’’ (which are determined from the geometrical position of the")
    thisalinea.textcontent.append("scintillator) is contained in the positions of the input neurons in the")
    thisalinea.textcontent.append("network, because the same input neuron always correspond to the same")
    thisalinea.textcontent.append("scintillator. Since it was known from Ref. [21] that adding the total")
    thisalinea.textcontent.append("energy deposition in the full detector per event and the total number")
    thisalinea.textcontent.append("of clusters per event as extra inputs to the DNN improved efficiency,")
    thisalinea.textcontent.append("these two quantities were also given to the DNN as inputs. This resulted")
    thisalinea.textcontent.append("in 9002 input neurons for the NeuLAND design case (30 dp of 100")
    thisalinea.textcontent.append("scintillators each) [8]. All inputs were linearly scaled to [0, 1] before")
    thisalinea.textcontent.append("they were fed into the DNN. 𝑡-values (‘‘Hit’’-times) above a certain")
    thisalinea.textcontent.append("threshold were artificially put to zero. This was done, because a small")
    thisalinea.textcontent.append("fraction of the ‘‘Hits’’ (< 0.1%) has very large 𝑡-values of the order of")
    thisalinea.textcontent.append("104 ns. Such rare and very large 𝑡-values were found to be extremely")
    thisalinea.textcontent.append("disruptive to the DNN training procedure and, therefore, had to be")
    thisalinea.textcontent.append("removed. The proper time threshold depends on the simulated scenario.")
    thisalinea.textcontent.append("For the design-case of 30 dp, a neutron energy of 600 MeV and a")
    thisalinea.textcontent.append("distance between NeuLAND’s front-end and the target of 14 m, 100 ns")
    thisalinea.textcontent.append("was found to be a good threshold (in this situation the neutrons need")
    thisalinea.textcontent.append("72 ns to travel to the rear end of NeuLAND).")
    thisalinea.textcontent.append("As this DNN is supposed to classify a given event according to its")
    thisalinea.textcontent.append("multiplicity (the number of neutrons that came from the target), a")
    thisalinea.textcontent.append("separate output neuron for each possible multiplicity was implemented.")
    thisalinea.textcontent.append("Typical NeuLAND simulations consider multiplicities up to five [8,13],")
    thisalinea.textcontent.append("which would result in five output neurons. These output neurons were")
    thisalinea.textcontent.append("equipped with the SoftMax activation function [22], as this transforms")
    thisalinea.textcontent.append("the network output into a probability per multiplicity. As the best")
    thisalinea.textcontent.append("method for multiplicity determination is still unknown at the time")
    thisalinea.textcontent.append("of this work, a densely connected network was considered with the")
    thisalinea.textcontent.append("ReLU activation function on each hidden neuron, as this a-priori allows")
    thisalinea.textcontent.append("any combination of the input data to be considered as a possibility")
    thisalinea.textcontent.append("to determine the output. The ReLU activation function is defined as")
    thisalinea.textcontent.append("𝑓 (𝑥) = 𝑥 for 𝑥 ≥ 0 and 𝑓 (𝑥) = 0 for 𝑥 < 0 [23].")
    thisalinea.textcontent.append("The network was implemented with the Keras [23] user-interface")
    thisalinea.textcontent.append("to the TensorFlow [24] framework. Training was done with Supervised")
    thisalinea.textcontent.append("Learning (SL) [25] using the ADGRAD [26] minimization algorithm")
    thisalinea.textcontent.append("(learning rate 0.001, 𝜖 = 0 and zero decay) and the Categorical Cross")
    thisalinea.textcontent.append("Entropy [27] minimization function. The number of hidden layers was")
    thisalinea.textcontent.append("2, with 9000 (first layer) and 1200 (second layer) neurons each. These")
    thisalinea.textcontent.append("parameters (minimization algorithm, minimization function, number")
    thisalinea.textcontent.append("of hidden layers and number of neurons per hidden layer) were de-")
    thisalinea.textcontent.append("termined by optimization. This procedure is discussed in detail in the")
    thisalinea.textcontent.append("Appendix.")
    thisalinea.textcontent.append("One million simulated events were generated for the training")
    thisalinea.textcontent.append("(200.000 per multiplicity). During the training, only events were used")
    thisalinea.textcontent.append("where the number of neutrons detected by NeuLAND was identical to")
    thisalinea.textcontent.append("the number of neutrons that came from the target. This was done,")
    thisalinea.textcontent.append("because it would be incorrect to train the DNN on events where it")
    thisalinea.textcontent.append("will never be able to determine the correct answer, which is the case")
    thisalinea.textcontent.append("when not all information is available: the situation where not all")
    thisalinea.textcontent.append("neutrons are detected by NeuLAND. The remaining events (that passed")
    thisalinea.textcontent.append("this condition) were subdivided into batches of 1000 events and the")
    thisalinea.textcontent.append("network weights were updated after each of these batches. The number")
    thisalinea.textcontent.append("of one million events and the batch size of 1000 were chosen as such,")
    thisalinea.textcontent.append("because it was observed that these numbers were sufficient to reach")
    thisalinea.textcontent.append("a saturated network accuracy under almost all circumstances within")
    thisalinea.textcontent.append("2 epochs. Since the multiplicity condition implies that events with")
    thisalinea.textcontent.append("higher multiplicities are more often discarded, the undiscarded higher-")
    thisalinea.textcontent.append("multiplicity events were given larger weights in the minimization")
    thisalinea.textcontent.append("function to prevent the DNN from becoming biased. This bias could")
    thisalinea.textcontent.append("result in a loss from roughly 25% (30 dp) to several hundred percent")
    thisalinea.textcontent.append("(few dp) in the proper reconstruction of multiplicity-five events.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "2.3. ‘‘Hit’’ selection"
    thisalinea.titlefontsize = "7.970100000000002"
    thisalinea.nativeID = 7
    thisalinea.parentID = 4
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "In the last step in Fig. 4, the ‘‘Hit’’ selection, the actual shower heads have to be identified. For this, we also propose the use of ML. The net- work design for the ‘‘Hit’’ selection is based on the successes obtained in the multiplicity determination. The network for the ‘‘Hit’’ selection was chosen as a densely connected DNN with 14 input neurons, two output neurons with the SoftMax activation function and 12 hidden layers of 200 neurons with the ReLU activation function each. An event is then sent though this network cluster-by-cluster and a different copy of this network was "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("In the last step in Fig. 4, the ‘‘Hit’’ selection, the actual shower heads")
    thisalinea.textcontent.append("have to be identified. For this, we also propose the use of ML. The net-")
    thisalinea.textcontent.append("work design for the ‘‘Hit’’ selection is based on the successes obtained in")
    thisalinea.textcontent.append("the multiplicity determination. The network for the ‘‘Hit’’ selection was")
    thisalinea.textcontent.append("chosen as a densely connected DNN with 14 input neurons, two output")
    thisalinea.textcontent.append("neurons with the SoftMax activation function and 12 hidden layers of")
    thisalinea.textcontent.append("200 neurons with the ReLU activation function each. An event is then")
    thisalinea.textcontent.append("sent though this network cluster-by-cluster and a different copy of this")
    thisalinea.textcontent.append("network was trained for each multiplicity under consideration. The 14")
    thisalinea.textcontent.append("input neurons contain different cluster properties like Time-Of-Flight,")
    thisalinea.textcontent.append("relativistic beta, energy deposition, number of ‘‘Hits’’ in the cluster,")
    thisalinea.textcontent.append("etc. (all inspired by Ref. [13]). The two output neurons give the two")
    thisalinea.textcontent.append("probabilities of the cluster containing at least one shower head, and of")
    thisalinea.textcontent.append("not containing any shower heads at all, respectively.")
    thisalinea.textcontent.append("Using the network output, a score is computed for each cluster as the")
    thisalinea.textcontent.append("difference between the two output neurons. Subsequently, all clusters")
    thisalinea.textcontent.append("in the event are sorted according to this score. Then, all clusters are")
    thisalinea.textcontent.append("discarded, except for the ones with the highest score. The number")
    thisalinea.textcontent.append("of clusters kept is decided by the multiplicity DNN. Subsequently,")
    thisalinea.textcontent.append("the ‘‘Hits’’ in the clusters which have the shortest TOF define the")
    thisalinea.textcontent.append("shower heads. The Supervised Learning for the ‘‘Hit’’ selection was done")
    thisalinea.textcontent.append("similarly to the multiplicity determination.")
    thisalinea.textcontent.append("The full simulation and network training as described in all sections")
    thisalinea.textcontent.append("above required a computational time of roughly 6 h when the configu-")
    thisalinea.textcontent.append("ration of 30 dp with a neutron beam energy of 600 MeV was used. The")
    thisalinea.textcontent.append("generation of simulated data was done using an i7-8750H CPU and 16")
    thisalinea.textcontent.append("GB of RAM memory. The network training was done using a 4 GB GPU")
    thisalinea.textcontent.append("(NVIDIA GeForce GTX 1050 Ti 4 GB). The disk-storage requirements")
    thisalinea.textcontent.append("for this computation were about 250 GB. The computer code of the")
    thisalinea.textcontent.append("new ML algorithm (both the multiplicity determination and the ‘‘Hit’’")
    thisalinea.textcontent.append("section) is available as public-domain software [28].")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "2.4. Reference algorithms"
    thisalinea.titlefontsize = "7.970100000000002"
    thisalinea.nativeID = 8
    thisalinea.parentID = 4
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "To evaluate the performance of our new ML algorithm (denoted DNN algorithm in the following), its efficiency is compared to two other shower-head identification algorithms in the upcoming sections: the TDR algorithm and the ‘‘Perfect Tracking’’ algorithm. Note that from now on, the notion ‘DNN algorithm’ stands for the combination of multiplicity determination and ‘‘Hit’’ selection, both handled by ML. The ‘‘Perfect Tracking’’ algorithm relies on information from the Geant4 simulation. It traces the particle showers created by each individual neutron to find out whether this shower produced any NeuLAND ‘‘Hits’’ (see Fig. 4). If ‘‘Hits’’ are produced, the neutron "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("To evaluate the performance of our new ML algorithm (denoted")
    thisalinea.textcontent.append("DNN algorithm in the following), its efficiency is compared to two")
    thisalinea.textcontent.append("other shower-head identification algorithms in the upcoming sections:")
    thisalinea.textcontent.append("the TDR algorithm and the ‘‘Perfect Tracking’’ algorithm. Note that")
    thisalinea.textcontent.append("from now on, the notion ‘DNN algorithm’ stands for the combination")
    thisalinea.textcontent.append("of multiplicity determination and ‘‘Hit’’ selection, both handled by ML.")
    thisalinea.textcontent.append("The ‘‘Perfect Tracking’’ algorithm relies on information from the Geant4")
    thisalinea.textcontent.append("simulation. It traces the particle showers created by each individual")
    thisalinea.textcontent.append("neutron to find out whether this shower produced any NeuLAND ‘‘Hits’’")
    thisalinea.textcontent.append("(see Fig. 4). If ‘‘Hits’’ are produced, the neutron is assigned a shower")
    thisalinea.textcontent.append("head: the first produced ‘‘Hit’’. Otherwise, the neutron is assigned no")
    thisalinea.textcontent.append("shower head at all.")
    thisalinea.textcontent.append("Since the ‘‘Perfect Tracking’’ algorithm relies on the ‘true’ particle")
    thisalinea.textcontent.append("showers from the Geant4 simulation, it will always provide the best")
    thisalinea.textcontent.append("possible shower-head identification. For this reason, its outcome was")
    thisalinea.textcontent.append("used as the ‘correct’ output for the Supervised Learning of the DNNs.")
    thisalinea.textcontent.append("However, despite its name the ‘‘Perfect Tracking’’ algorithm does not")
    thisalinea.textcontent.append("always result in perfect efficiency. This is because sometimes, a neutron")
    thisalinea.textcontent.append("may just not interact (sufficiently) with NeuLAND to produce any")
    thisalinea.textcontent.append("‘‘Hits’’ [13]. Hence, a comparison between the DNN algorithm and")
    thisalinea.textcontent.append("the ‘‘Perfect Tracking’’ algorithm can reveal which part of the DNN")
    thisalinea.textcontent.append("algorithm efficiency is caused by imperfections in the algorithm and")
    thisalinea.textcontent.append("which part is caused by external factors (the lack of proper neutron")
    thisalinea.textcontent.append("interactions leading to ‘‘Hits’’).")
    thisalinea.textcontent.append("The TDR algorithm refers to the algorithm originally proposed in")
    thisalinea.textcontent.append("the NeuLAND Technical Design Report (TDR) [8]. This procedure is")
    thisalinea.textcontent.append("illustrated in Fig. 5 for a situation of 30 dp and 600 MeV neutrons.")
    thisalinea.textcontent.append("Here, the multiplicity is determined by plotting the number of clusters")
    thisalinea.textcontent.append("per event versus the total energy deposition in that event and imposing")
    thisalinea.textcontent.append("linear ‘‘decision’’ cuts (the envelopes defined by the diagonal black lines")
    thisalinea.textcontent.append("in Fig. 5). The slope is the same for all cuts, but the distance between")
    thisalinea.textcontent.append("the cuts is different for different multiplicities. The slope and distances")
    thisalinea.textcontent.append("are optimized using simulation data. Subsequently, an event is assigned")
    thisalinea.textcontent.append("a multiplicity depending on where it is located between the ‘‘decision’’")
    thisalinea.textcontent.append("cuts.")
    thisalinea.textcontent.append("We would like to note that the situation where all neutrons within")
    thisalinea.textcontent.append("a single event have (almost) the same energy is actually quite com-")
    thisalinea.textcontent.append("mon [8]. In most R3B experiments., the beam consists of a heavier")
    thisalinea.textcontent.append("nucleus of interest with an energy of several hundred MeV per nucleon.")
    thisalinea.textcontent.append("This nucleus is then studied in inverse kinematics by impinging it on a")
    thisalinea.textcontent.append("very light fixed R3B-target. As such, the knocked-out neutrons typically")
    thisalinea.textcontent.append("have energies of several hundred MeV as well, but with variations of")
    thisalinea.textcontent.append("the order of only a few MeV (determined by the shell from which")
    thisalinea.textcontent.append("they are removed). Hence, for such experiments, our algorithms can")
    thisalinea.textcontent.append("be trained/optimized with mono-energetic neutrons.")
    thisalinea.textcontent.append("The ‘‘Hit’’ selection of the TDR method is exactly as discussed for")
    thisalinea.textcontent.append("the DNN algorithm in Section 2.3, only clusters are not sorted according")
    thisalinea.textcontent.append("to some DNN-computed score, but according to their so-called 𝑅-value,")
    thisalinea.textcontent.append("defined as:")
    thisalinea.textcontent.append("𝑅 = −10 log")
    thisalinea.textcontent.append("( |𝛽cluster − 𝛽beam")
    thisalinea.textcontent.append("𝐸cluster")
    thisalinea.textcontent.append("|")
    thisalinea.textcontent.append(")")
    thisalinea.textcontent.append(",")
    thisalinea.textcontent.append("(1)")
    thisalinea.textcontent.append("where 𝐸cluster")
    thisalinea.textcontent.append("is the total energy deposition of all ‘‘Hits’’ in the cluster,")
    thisalinea.textcontent.append("𝛽beam is the beam speed divided by the speed of light and 𝛽cluster is")
    thisalinea.textcontent.append("the presumed neutron speed (divided by the speed of light) between")
    thisalinea.textcontent.append("the target reaction and the minimum TOF ‘‘Hit’’ in the cluster. Further")
    thisalinea.textcontent.append("details on this method can be found in Refs. [8,13,15].")
    thisalinea.textcontent.append("The TDR algorithm was the first shower-head identification algo-")
    thisalinea.textcontent.append("rithm proposed for NeuLAND [8] and for most situations, its efficiency")
    thisalinea.textcontent.append("is better than all other shower-head identification algorithms known")
    thisalinea.textcontent.append("today [13], except for the ones that use Machine Learning. For this")
    thisalinea.textcontent.append("reason, it serves as an excellent benchmark to judge the efficiency of")
    thisalinea.textcontent.append("our new DNN algorithm.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "2.5. Sources of uncertainties"
    thisalinea.titlefontsize = "7.970100000000002"
    thisalinea.nativeID = 9
    thisalinea.parentID = 4
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "Special attention should be paid to the fact that all shower-head identification algorithms discussed so far (including DNN, TDR and ‘‘Perfect Tracking’’) [13] rely on the use of simulation data to optimize certain decision parameters. Since simulations generally do not per- fectly agree with experimental conditions, this dependence introduces systematic uncertainties to the application of all algorithms. These systematic uncertainties come from three different sources (the three main components in a GEANT4 simulation): the geometry, the event generator and the physics list. The systematic uncertainties from the first two sources can generally be suppressed by closely matching the geometry and "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Special attention should be paid to the fact that all shower-head")
    thisalinea.textcontent.append("identification algorithms discussed so far (including DNN, TDR and")
    thisalinea.textcontent.append("‘‘Perfect Tracking’’) [13] rely on the use of simulation data to optimize")
    thisalinea.textcontent.append("certain decision parameters. Since simulations generally do not per-")
    thisalinea.textcontent.append("fectly agree with experimental conditions, this dependence introduces")
    thisalinea.textcontent.append("systematic uncertainties to the application of all algorithms. These")
    thisalinea.textcontent.append("systematic uncertainties come from three different sources (the three")
    thisalinea.textcontent.append("main components in a GEANT4 simulation): the geometry, the event")
    thisalinea.textcontent.append("generator and the physics list. The systematic uncertainties from the")
    thisalinea.textcontent.append("first two sources can generally be suppressed by closely matching")
    thisalinea.textcontent.append("the geometry and the event generator to the experimental conditions,")
    thisalinea.textcontent.append("although one should keep in mind that this requires a re-optimization")
    thisalinea.textcontent.append("(or re-training) for each new experiment.")
    thisalinea.textcontent.append("However, finding a physics list that closely matches the reality")
    thisalinea.textcontent.append("with the desired precision is still an open issue for NeuLAND ex-")
    thisalinea.textcontent.append("periments [10,13]. The alternative to using simulation data would")
    thisalinea.textcontent.append("be to perform measurement of reactions such as the break-up of the")
    thisalinea.textcontent.append("deuteron which would produce neutrons with known energies and")
    thisalinea.textcontent.append("angles once the proton is tagged with a high precision. However, these")
    thisalinea.textcontent.append("measurements have to be done for a large number of energies to be")
    thisalinea.textcontent.append("useful and as such are not a very viable alternative for the large")
    thisalinea.textcontent.append("range of energies desired. Because of the fact that the geometry and")
    thisalinea.textcontent.append("the event generator contributions to the systematic uncertainties can")
    thisalinea.textcontent.append("generally be made much smaller than the physics list contribution,")
    thisalinea.textcontent.append("we have only concentrated on the quantitative study of the physics")
    thisalinea.textcontent.append("list contribution to the systematic uncertainties. For this reason, we")
    thisalinea.textcontent.append("repeated all simulations for this work four times and changed the")
    thisalinea.textcontent.append("physics list between QGSP_INCLXX_HP and QGSP_BERT_HP at both")
    thisalinea.textcontent.append("the optimization (or training) and the validation level. The mean of the")
    thisalinea.textcontent.append("four outcomes was then considered as the algorithm performance and")
    thisalinea.textcontent.append("the largest difference between the mean and each of the four individual")
    thisalinea.textcontent.append("outcomes was used as our estimation of the physics list uncertainty.")
    thisalinea.textcontent.append("As reality was determined to be halfway between two physics")
    thisalinea.textcontent.append("lists [13], one could, in principle, also compose a realistic training set")
    thisalinea.textcontent.append("by mixing events of the two physics lists. However, as the benchmark-")
    thisalinea.textcontent.append("ing of the two physics lists in Ref. [13] was only done for neutron")
    thisalinea.textcontent.append("energies of 110 MeV and 250 MeV and only for the NeuLAND detection")
    thisalinea.textcontent.append("efficiency, this procedure is unreliable. The appropriate weight factors")
    thisalinea.textcontent.append("of the two physics lists are indeed roughly 50% in that situation, but")
    thisalinea.textcontent.append("there is no experimental evidence that these weight factors remain the")
    thisalinea.textcontent.append("same at higher neutron energies, or for other observables. For this rea-")
    thisalinea.textcontent.append("son, we have decided not to pursue this idea and estimate the physics")
    thisalinea.textcontent.append("list uncertainties as described above. However, once appropriate weight")
    thisalinea.textcontent.append("factors have been measured over the full range of neutron energies,")
    thisalinea.textcontent.append("event mixing may prove to be a powerful tool in the future to reduce")
    thisalinea.textcontent.append("the physics-list uncertainties and/or to improve the physics-list models.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Performance of multiplicity determination"
    thisalinea.titlefontsize = "7.970100000000002"
    thisalinea.nativeID = 10
    thisalinea.parentID = 2
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "The efficiency of the NeuLAND multiplicity determination is shown in Figs. 6–8. Results were computed for typical neutron energies of 200 MeV, 600 MeV and 1000 MeV, as is commonly done for NeuLAND simulations [8,13] and for NeuLAND configurations of 8 dp, 12 dp, 16 dp, 23 dp and 30 dp. These configurations were chosen, because the configuration with 8 dp is currently (at the publication date of this work) in use, 16 dp have secured funding at present and 30 dp is the design goal (see Section 1). The configurations of 12 dp and 23 dp were added for "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("The efficiency of the NeuLAND multiplicity determination is shown")
    thisalinea.textcontent.append("in Figs. 6–8. Results were computed for typical neutron energies of")
    thisalinea.textcontent.append("200 MeV, 600 MeV and 1000 MeV, as is commonly done for NeuLAND")
    thisalinea.textcontent.append("simulations [8,13] and for NeuLAND configurations of 8 dp, 12 dp,")
    thisalinea.textcontent.append("16 dp, 23 dp and 30 dp. These configurations were chosen, because")
    thisalinea.textcontent.append("the configuration with 8 dp is currently (at the publication date of this")
    thisalinea.textcontent.append("work) in use, 16 dp have secured funding at present and 30 dp is the")
    thisalinea.textcontent.append("design goal (see Section 1). The configurations of 12 dp and 23 dp were")
    thisalinea.textcontent.append("added for upcoming experimental proposals (at the publication date of")
    thisalinea.textcontent.append("this work). The efficiency is shown as a percentage of how often the")
    thisalinea.textcontent.append("correct number of neutrons in the event (that came from the target)")
    thisalinea.textcontent.append("is established. Results are shown as solid lines for the Perfect tracking")
    thisalinea.textcontent.append("algorithm, the TDR algorithm and the DNN algorithm (all discussed in")
    thisalinea.textcontent.append("Section 2). The physics-list uncertainties of the three algorithms are")
    thisalinea.textcontent.append("shown as separate bands (see Section 2). The bands are arbitrarily")
    thisalinea.textcontent.append("placed above 100% in the figures and the band widths represent the 2𝜎")
    thisalinea.textcontent.append("physics-list uncertainties. Note that, as the Perfect tracking algorithm")
    thisalinea.textcontent.append("assigns a shower head to each neutron that produced at least one ‘‘Hit’’")
    thisalinea.textcontent.append("(see Section 2.4), the black curves essentially describe the probability")
    thisalinea.textcontent.append("that all neutrons fired by the particle gun interacted with NeuLAND")
    thisalinea.textcontent.append("and were also detected by NeuLAND.")
    thisalinea.textcontent.append("simulation data. Hence, during an experiment only the solid lines in")
    thisalinea.textcontent.append("Figs. 6–8 will be known.")
    thisalinea.textcontent.append("As can be seen in Figs. 6–8, the TDR and the DNN results (solid")
    thisalinea.textcontent.append("lines) are sometimes higher than the results obtained by the ‘‘Perfect")
    thisalinea.textcontent.append("Tracking’’ algorithm. Since the ‘‘Perfect Tracking’’ algorithm contains")
    thisalinea.textcontent.append("the best possible shower-head identification (see Section 2), this may")
    thisalinea.textcontent.append("seem like a contradiction. However, some events may be ‘accidentally’")
    thisalinea.textcontent.append("assigned the correct multiplicity by either the TDR or the DNN al-")
    thisalinea.textcontent.append("gorithm. In order to understand how this works, consider an event")
    thisalinea.textcontent.append("where four neutrons come from the target. In this case, it is possible")
    thisalinea.textcontent.append("that three neutrons produce ‘‘Hits’’ in NeuLAND and that the fourth")
    thisalinea.textcontent.append("one does not. Subsequently, either the TDR or the DNN algorithm")
    thisalinea.textcontent.append("may wrongly classify the ‘‘Hits’’ produced by three neutrons as a four-")
    thisalinea.textcontent.append("neutron event (consider, for example, the part of the blob above the")
    thisalinea.textcontent.append("cuts in the 3n-figure of Fig. 5). Hence, it is possible for the TDR and")
    thisalinea.textcontent.append("DNN algorithms that the correct multiplicity of the event is found,")
    thisalinea.textcontent.append("while not all neutrons were detected by NeuLAND. For these events")
    thisalinea.textcontent.append("it is impossible to come up with a correct shower head for all neutrons")
    thisalinea.textcontent.append("in the ‘‘Hit’’ selection stage. This phenomenon is designated as ‘false-")
    thisalinea.textcontent.append("positive’ multiplicity assignments. It cannot occur for the ‘‘Perfect")
    thisalinea.textcontent.append("Tracking’’ algorithm, as it only assigns shower heads to neutrons that")
    thisalinea.textcontent.append("are detected (in the sense that they produced scintillator ‘‘Hits’’, see")
    thisalinea.textcontent.append("Section 2). As a result, it is possible that the TDR and DNN algorithms")
    thisalinea.textcontent.append("have a higher multiplicity performance than the ‘‘Perfect Tracking’’")
    thisalinea.textcontent.append("algorithm, as false-positive multiplicity assignments are included. The")
    thisalinea.textcontent.append("dashed lines in Figs. 6–8 give the TDR and DNN result when the")
    thisalinea.textcontent.append("false-positive multiplicity assignments are excluded (These graphs are")
    thisalinea.textcontent.append("designated as the ‘Restricted’ case). However, one should realize that")
    thisalinea.textcontent.append("the computation of the dashed lines in Figs. 6–8 requires the use of the")
    thisalinea.textcontent.append("‘‘Perfect Tracking’’ algorithm (to determine how many neutrons were")
    thisalinea.textcontent.append("actually detected), which means that they can only be computed for")
    thisalinea.textcontent.append("From Figs. 6–8 it can be seen that the problem of false-positive mul-")
    thisalinea.textcontent.append("tiplicity assignments gets relatively smaller as the number of double-")
    thisalinea.textcontent.append("planes increases. This is due to the fact that the probability of neutrons")
    thisalinea.textcontent.append("interacting with NeuLAND increases with the number of dp, which")
    thisalinea.textcontent.append("makes the multiplicity determination more accurate.")
    thisalinea.textcontent.append("From Figs. 6–8, we conclude that the DNN performance is higher")
    thisalinea.textcontent.append("than the TDR performance for all studied neutron energies, multiplic-")
    thisalinea.textcontent.append("ities and NeuLAND configurations (except for the 30 dp point in the")
    thisalinea.textcontent.append("3n and 4n cases of the 200 MeV neutron energies). However, in many")
    thisalinea.textcontent.append("situations (mostly the 3n and 4n cases) the difference in performance is")
    thisalinea.textcontent.append("quite small. However, even such a small difference in multiplicity per-")
    thisalinea.textcontent.append("formance has a significant influence on the ‘‘Hit’’ selection performance")
    thisalinea.textcontent.append("due to our choice for handling different multiplicities with different")
    thisalinea.textcontent.append("‘‘Hit’’ selection DNNs (see Section 2).")
    thisalinea.textcontent.append("Another advantage of the new algorithm is that in several cases the")
    thisalinea.textcontent.append("physics-list uncertainties in Figs. 6–8 are smaller for the DNN algorithm")
    thisalinea.textcontent.append("than for the TDR algorithm. The reason for this is that the optimization")
    thisalinea.textcontent.append("of the cuts in Fig. 5, which only relies on two inputs (number of")
    thisalinea.textcontent.append("clusters and total energy deposition), typically results in a very shallow")
    thisalinea.textcontent.append("minimum. On the other hand, the DNN algorithm uses thousands of")
    thisalinea.textcontent.append("inputs and, hence, has a less shallow minimum. A shallow minimum")
    thisalinea.textcontent.append("causes large fluctuations in the final results when some simulation")
    thisalinea.textcontent.append("parameters (like the physics list) are changed.")
    thisalinea.textcontent.append("Figs. 6–8 also reveal some limitations in the use of both the conven-")
    thisalinea.textcontent.append("tional TDR algorithm and the newly developed DNN algorithm. The")
    thisalinea.textcontent.append("first limitation is introduced by the physics-list uncertainties, which")
    thisalinea.textcontent.append("can sometimes be quite significant (especially at a neutron energy")
    thisalinea.textcontent.append("of 200 MeV, see Fig. 6). Hence, accurate multiplicity determination")
    thisalinea.textcontent.append("will not be possible for experimental data unless these physics-list")
    thisalinea.textcontent.append("uncertainties are better understood. This requires both improvements")
    thisalinea.textcontent.append("in the models used in the physics lists as well as accurate benchmarks")
    thisalinea.textcontent.append("against experimental data. As discussed in Section 2.5, event mixing")
    thisalinea.textcontent.append("could also help for this.")
    thisalinea.textcontent.append("As can be seen in Figs. 6–8, the magnitudes of the physics-list")
    thisalinea.textcontent.append("uncertainties are a complicated function of the number of dp. This")
    thisalinea.textcontent.append("is because any error estimate (like the physics-list uncertainty bands)")
    thisalinea.textcontent.append("is influenced by two opposite effects: overlapping particle showers")
    thisalinea.textcontent.append("and the neutron interaction probability. As the number of NeuLAND")
    thisalinea.textcontent.append("dp increases, so does the probability for a neutron to interact with")
    thisalinea.textcontent.append("NeuLAND, which allows for a more accurate multiplicity determina-")
    thisalinea.textcontent.append("tion. On the other hand, having more dp also leads to the particles")
    thisalinea.textcontent.append("showers (produced by the neutrons) to become more complex, and, as")
    thisalinea.textcontent.append("a result, overlap more often. This effect leads to less accuracy in the")
    thisalinea.textcontent.append("determination of the multiplicity. Since both of these effects increase")
    thisalinea.textcontent.append("with the number of dp, one effect may be slightly more dominant for a")
    thisalinea.textcontent.append("certain configuration, while the other effect is slightly more dominant")
    thisalinea.textcontent.append("for another configuration. This results in fluctuations in the magnitude")
    thisalinea.textcontent.append("of the physics-list uncertainties as a function of the number of dp.")
    thisalinea.textcontent.append("The physics-list uncertainties for both the TDR and DNN algorithms")
    thisalinea.textcontent.append("for multiplicity five are relatively large (at all neutron energies). This")
    thisalinea.textcontent.append("is because multiplicity five is the highest multiplicity considered in our")
    thisalinea.textcontent.append("simulations, meaning that any neutron multiplicity above four will be")
    thisalinea.textcontent.append("classified as five. For this reason, multiplicity five suffers from ‘endpoint")
    thisalinea.textcontent.append("fluctuations’, which have a large impact on our estimate of the physics-")
    thisalinea.textcontent.append("list uncertainties. The endpoint fluctuations can be nicely illustrated")
    thisalinea.textcontent.append("with Fig. 5 for the TDR algorithm. Variations in the parameters of")
    thisalinea.textcontent.append("the lower cut in any multiplicity window are partially compensated by")
    thisalinea.textcontent.append("those same variations in the upper cut of that same window (because all")
    thisalinea.textcontent.append("cuts have the same slope). However, this does not happen for multiplic-")
    thisalinea.textcontent.append("ity five, because it does not have an upper cut. Hence, multiplicity five")
    thisalinea.textcontent.append("suffers from larger fluctuations: the endpoint fluctuations. Fortunately,")
    thisalinea.textcontent.append("endpoint fluctuations can be easily avoided by training the algorithms")
    thisalinea.textcontent.append("(both TDR and DNN) up to one multiplicity higher than what is actually")
    thisalinea.textcontent.append("expected in the experiment.")
    thisalinea.textcontent.append("The second limitation of both the conventional TDR algorithm and")
    thisalinea.textcontent.append("the newly-developed DNN algorithm is the number of false-positive")
    thisalinea.textcontent.append("multiplicity assignments. Since not all neutrons from the target are")
    thisalinea.textcontent.append("actually detected for these events, a proper reconstruction of the neu-")
    thisalinea.textcontent.append("tron 4-momenta will not be possible, despite the fact that the correct")
    thisalinea.textcontent.append("multiplicity was found (see next section). The number of false-positive")
    thisalinea.textcontent.append("multiplicity assignments is particularly large for NeuLAND configu-")
    thisalinea.textcontent.append("rations with a smaller number of dp. The severity of this problem")
    thisalinea.textcontent.append("decreases as the number of double-planes increases. From the figures, it")
    thisalinea.textcontent.append("can be seen why a choice of 30 double-planes was made in the original")
    thisalinea.textcontent.append("design.")
    thisalinea.textcontent.append("From the results presented in this section, we conclude that the DNN")
    thisalinea.textcontent.append("algorithm offers advantages over the traditionally-used TDR algorithm,")
    thisalinea.textcontent.append("both in terms of efficiency and in terms of physics-list uncertain-")
    thisalinea.textcontent.append("ties (although the advantages are sometimes small). However, the")
    thisalinea.textcontent.append("(sometimes large) physics-list uncertainties inhibit a good multiplicity")
    thisalinea.textcontent.append("determination, meaning that both model improvements and accurate")
    thisalinea.textcontent.append("benchmarks are needed for the physics list (for all neutron energies,")
    thisalinea.textcontent.append("but particularly for neutron energies around 200 MeV). As discussed in")
    thisalinea.textcontent.append("Section 2.5, event mixing could also help in this. Furthermore, the num-")
    thisalinea.textcontent.append("ber of false-positive multiplicity assignments can, in turn, inhibit a good")
    thisalinea.textcontent.append("shower-head identification, which is why the number of NeuLAND dp")
    thisalinea.textcontent.append("should be as large as possible.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. ‘‘Hit’’ selection performance"
    thisalinea.titlefontsize = "7.970100000000002"
    thisalinea.nativeID = 11
    thisalinea.parentID = 2
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "In order to assess the performance of the ‘‘Hit’’ selection step (see Fig. 4), it is necessary to consider the 4-momentum vectors of the neu- trons involved [13]. Because of NeuLANDs recent use in a tetra-neutron experiment [29,30] and its design goal for multi-neutron detection capability, a 4-neutron invariant mass spectrum is a good method to assess the ‘‘Hit’’ selection performance. Figs. 9–11 show such spectra for the same neutron energies, NeuLAND configurations and shower- head identification algorithms as studied in Section 3. Four times the mass of the free neutron was subtracted from the total invariant mass, which is "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("In order to assess the performance of the ‘‘Hit’’ selection step (see")
    thisalinea.textcontent.append("Fig. 4), it is necessary to consider the 4-momentum vectors of the neu-")
    thisalinea.textcontent.append("trons involved [13]. Because of NeuLANDs recent use in a tetra-neutron")
    thisalinea.textcontent.append("experiment [29,30] and its design goal for multi-neutron detection")
    thisalinea.textcontent.append("capability, a 4-neutron invariant mass spectrum is a good method to")
    thisalinea.textcontent.append("assess the ‘‘Hit’’ selection performance. Figs. 9–11 show such spectra")
    thisalinea.textcontent.append("for the same neutron energies, NeuLAND configurations and shower-")
    thisalinea.textcontent.append("head identification algorithms as studied in Section 3. Four times the")
    thisalinea.textcontent.append("mass of the free neutron was subtracted from the total invariant mass,")
    thisalinea.textcontent.append("which is why the 𝑥-axis is labeled ‘Invariant Mass Difference’. Physics-")
    thisalinea.textcontent.append("list uncertainties are, again, shown as separate bands (as in the previous")
    thisalinea.textcontent.append("section).")
    thisalinea.textcontent.append("From Figs. 9–11 it is clear that the new DNN algorithm significantly")
    thisalinea.textcontent.append("improves the ‘‘Hit’’ selection with respect to the traditionally-used TDR")
    thisalinea.textcontent.append("algorithm. In terms of efficiency, the DNN algorithm has about 50%")
    thisalinea.textcontent.append("higher performance than the TDR algorithm for 200 MeV neutrons. For")
    thisalinea.textcontent.append("higher neuron energies, this is about a factor 3. Since an increase in")
    thisalinea.textcontent.append("efficiency was the reason for developing the new DNN algorithm, we")
    thisalinea.textcontent.append("conclude that the new DNN algorithm achieves that goal. Moreover,")
    thisalinea.textcontent.append("since the difference in performance between the TDR and the DNN")
    thisalinea.textcontent.append("algorithms was quite small for the multiplicity determination (see")
    thisalinea.textcontent.append("previous section), we also conclude that almost all the improvement")
    thisalinea.textcontent.append("shown in Figs. 9–11 is due to the improved ‘‘Hit’’ selection procedure.")
    thisalinea.textcontent.append("Figs. 9–11 also confirm our conclusions made in Section 3 about")
    thisalinea.textcontent.append("the limitations due to physics-list uncertainties and the number of Neu-")
    thisalinea.textcontent.append("LAND dp. The physics-list uncertainties are significant for all neutron")
    thisalinea.textcontent.append("energies and are particularly large at 200 MeV (see Fig. 9). Hence,")
    thisalinea.textcontent.append("also for extracting more complex observables with NeuLAND, like")
    thisalinea.textcontent.append("the invariant mass, a reduction of the physics-list uncertainties by")
    thisalinea.textcontent.append("model improvements and more accurate benchmarks seems necessary")
    thisalinea.textcontent.append("(especially at lower energies like 200 MeV).")
    thisalinea.textcontent.append("These figures also effectively demonstrate the effects of false-")
    thisalinea.textcontent.append("positive multiplicity assignments on measurable observables like the")
    thisalinea.textcontent.append("invariant mass. As an example, we take a closer look at the situation in")
    thisalinea.textcontent.append("Fig. 9a. In this situation, false-positive multiplicity assignments make")
    thisalinea.textcontent.append("up about 60% of the data in this situation (see the 8 dp point in the")
    thisalinea.textcontent.append("4n picture of Fig. 6). This is why the DNN peak has a larger area")
    thisalinea.textcontent.append("than the ‘‘Perfect-Tracking’’ peak. Moreover, there is even a significant")
    thisalinea.textcontent.append("shift in the peak position between these two algorithms. Since not")
    thisalinea.textcontent.append("all four neutrons have been detected in the false-positive multiplicity")
    thisalinea.textcontent.append("assignments, the ‘‘Hit’’ selection algorithm is forced to come up with")
    thisalinea.textcontent.append("a false fourth shower head. The contributions of these false shower")
    thisalinea.textcontent.append("heads to the invariant mass are the cause of the shift. From Figs. 9–")
    thisalinea.textcontent.append("11, it can be concluded that such shifts occur for all neutron energies")
    thisalinea.textcontent.append("and all NeuLAND configurations. However, the magnitude of the shift")
    thisalinea.textcontent.append("decreases when the neutron energy increases (because the physics-list")
    thisalinea.textcontent.append("uncertainties decrease) and when the number of NeuLAND dp increases")
    thisalinea.textcontent.append("(because the ratio of true to false-positives becomes more favorable).")
    thisalinea.textcontent.append("Hence, in order to allow accurate determination of measurable observ-")
    thisalinea.textcontent.append("ables with NeuLAND like the invariant mass, we conclude that the")
    thisalinea.textcontent.append("number of NeuLAND dp should be as large as possible.")
    thisalinea.textcontent.append("Some NeuLAND configurations also suffer from large statistical")
    thisalinea.textcontent.append("uncertainties besides the physics-list uncertainties. These statistical")
    thisalinea.textcontent.append("uncertainties are a combination of the traditional Poisson uncertainty")
    thisalinea.textcontent.append("and of the simulation initialization. Decision parameters (like the DNN")
    thisalinea.textcontent.append("weights and the TDR cuts) are initialized as random numbers and")
    thisalinea.textcontent.append("then optimized using a numerical minimization algorithm. However,")
    thisalinea.textcontent.append("since the minimization algorithm uses a finite number of iterations")
    thisalinea.textcontent.append("and/or the minimization could be trapped in local minima (which")
    thisalinea.textcontent.append("happens frequently for DNNs [14]), the outcome of the minimization")
    thisalinea.textcontent.append("procedure depends (somewhat) on the initialization. As a result, the")
    thisalinea.textcontent.append("statistical uncertainties contain a contribution from this initialization.")
    thisalinea.textcontent.append("This contribution was estimated by repeating both the training and the")
    thisalinea.textcontent.append("validation twice with the exact same input parameters (but different")
    thisalinea.textcontent.append("random seeds) and is shown in Figs. 9–11 as a band around the")
    thisalinea.textcontent.append("histogram-data. This band includes the Poisson uncertainty.")
    thisalinea.textcontent.append("From the limited number of simulations that were performed to")
    thisalinea.textcontent.append("estimate the statistical uncertainties, the general trend seems to show")
    thisalinea.textcontent.append("that the statistical uncertainties are smaller for the larger number of")
    thisalinea.textcontent.append("dp. Looking at Figs. 9–11, it is advised that for measuring observables")
    thisalinea.textcontent.append("like a 4-neutron invariant mass with a reasonable accuracy, at least 16")
    thisalinea.textcontent.append("dp are used. However, the number of required double-planes may be")
    thisalinea.textcontent.append("different for other neutron multiplicities.")
    thisalinea.textcontent.append("Since false-positive multiplicity assignments and overlapping parti-")
    thisalinea.textcontent.append("cle showers cannot occur for one-neutron events, basically any number")
    thisalinea.textcontent.append("of NeuLAND dp can be used for one-neutron experiments, provided that")
    thisalinea.textcontent.append("sufficient beam-time is available to compensate for the lower neutron")
    thisalinea.textcontent.append("detection probability (for 8 dp, this is 50%–60%, see the figures in the")
    thisalinea.textcontent.append("previous section). However, for two-neutron events and 8 dp, 40%–50%")
    thisalinea.textcontent.append("of the multiplicity assignments are false-positives. Given the results of")
    thisalinea.textcontent.append("Fig. 9a where the number of false-positive multiplicity assignments is")
    thisalinea.textcontent.append("roughly 60%, we conclude that 8 dp is not enough for two-neutron")
    thisalinea.textcontent.append("experiments. However, the number of 40%–50% for two-neutron events")
    thisalinea.textcontent.append("drops significantly (to roughly 25%) when going from 8 dp to 12 dp.")
    thisalinea.textcontent.append("From Figs. 9a (roughly 60% false-positive multiplicity assignments)")
    thisalinea.textcontent.append("and 9c (roughly 25% false-positive multiplicity assignments), we know")
    thisalinea.textcontent.append("that such a drop in false-positive multiplicity assignments significantly")
    thisalinea.textcontent.append("reduces the shift in observables. Hence, we conclude that 12 dp suffices")
    thisalinea.textcontent.append("for two-neutron experiments. Since the ratio of true to false-positive")
    thisalinea.textcontent.append("multiplicity assignments is roughly the same for three-neutron events,")
    thisalinea.textcontent.append("four-neutron events and five-neutron events, we conclude that for")
    thisalinea.textcontent.append("multiplicity above two, 16 dp are needed.")
    thisalinea.textcontent.append("Hence, one can conclude that 8 dp would suffice for experiments")
    thisalinea.textcontent.append("where one is interested in only one-neutron detection, 12 dp would")
    thisalinea.textcontent.append("be enough in experiments where two neutrons are ejected and for")
    thisalinea.textcontent.append("higher neutron multiplicities, a minimum of 16 double planes would")
    thisalinea.textcontent.append("be required.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Extraction of the neutron scattering angle and its impact on observables"
    thisalinea.titlefontsize = "7.970100000000002"
    thisalinea.nativeID = 12
    thisalinea.parentID = 2
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "From the results presented in Sections 3 and 4, it can be concluded that the present DNN algorithm offers a significant improvement over the TDR algorithm, mainly at the ‘‘Hit’’ selection stage. However, there is still a significant difference in efficiency between the present DNN algorithm and the ‘‘Perfect Tracking’’ algorithm, which gives the maximally-achievable efficiency of any shower-head identifica- tion algorithm. This brings up the question whether the present DNN algorithm could be further improved. In order to deal with this issue, it is important to realize that a (large) difference between the DNN and ‘‘Perfect Tracking’’ algorithms can "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("From the results presented in Sections 3 and 4, it can be concluded")
    thisalinea.textcontent.append("that the present DNN algorithm offers a significant improvement over")
    thisalinea.textcontent.append("the TDR algorithm, mainly at the ‘‘Hit’’ selection stage. However,")
    thisalinea.textcontent.append("there is still a significant difference in efficiency between the present")
    thisalinea.textcontent.append("DNN algorithm and the ‘‘Perfect Tracking’’ algorithm, which gives")
    thisalinea.textcontent.append("the maximally-achievable efficiency of any shower-head identifica-")
    thisalinea.textcontent.append("tion algorithm. This brings up the question whether the present DNN")
    thisalinea.textcontent.append("algorithm could be further improved.")
    thisalinea.textcontent.append("In order to deal with this issue, it is important to realize that a")
    thisalinea.textcontent.append("(large) difference between the DNN and ‘‘Perfect Tracking’’ algorithms")
    thisalinea.textcontent.append("can have two different reasons: either that the present DNN algorithm")
    thisalinea.textcontent.append("has shortcomings which should be dealt with, or that the ‘‘Perfect")
    thisalinea.textcontent.append("Tracking’’ algorithm overestimates the maximally-achievable efficiency")
    thisalinea.textcontent.append("when other kinematical variables of the experiment are considered. In")
    thisalinea.textcontent.append("order to distinguish between these two possibilities, the accuracy of")
    thisalinea.textcontent.append("the neutron detection by NeuLAND was investigated. For this purpose,")
    thisalinea.textcontent.append("the neutron 4-momentum vectors obtained from the identified shower-")
    thisalinea.textcontent.append("heads (using the DNN, TDR and ‘‘Perfect Tracking’’ algorithms) were")
    thisalinea.textcontent.append("compared to their counterparts from the Monte Carlo data. Differences")
    thisalinea.textcontent.append("between these 4-momentum vectors are typically caused by a deflection")
    thisalinea.textcontent.append("of the incident neutron after its first interaction (at Monte-Carlo level)")
    thisalinea.textcontent.append("with NeuLAND, while this first interaction itself failed to be detected")
    thisalinea.textcontent.append("(due to energy thresholds).")
    thisalinea.textcontent.append("The 4-momentum vector of a neutron is characterized by three")
    thisalinea.textcontent.append("parameters: the neutron scattering angles (polar and azimuthal angles")
    thisalinea.textcontent.append("at the R3B target) and the kinetic energy. The kinetic energy of the")
    thisalinea.textcontent.append("neutron is mainly determined by its TOF, which is extracted from the")
    thisalinea.textcontent.append("shower head. Since the TOF is dominated by the distance from the")
    thisalinea.textcontent.append("target to the detector, the exact position of the shower head will have")
    thisalinea.textcontent.append("little effect on the extracted kinetic energy. For the determination of")
    thisalinea.textcontent.append("the scattering angles, however, the exact position of the shower head")
    thisalinea.textcontent.append("within the detection volume turns out to be important, as will be shown")
    thisalinea.textcontent.append("in this section.")
    thisalinea.textcontent.append("In order to quantitatively study the uncertainties in the neutron")
    thisalinea.textcontent.append("scattering angles, a restriction was imposed on the ‘‘Perfect Tracking’’")
    thisalinea.textcontent.append("algorithm. If the angle between the Monte Carlo neutron 4-momentum")
    thisalinea.textcontent.append("vector and the neutron 4-momentum vector obtained from the corre-")
    thisalinea.textcontent.append("sponding shower-head candidate was larger than a certain value (a")
    thisalinea.textcontent.append("designated accuracy, 𝛥𝜃max), the neutron was assigned no shower head")
    thisalinea.textcontent.append("in the ‘‘Perfect Tracking’’ analysis. If this angle was smaller than 𝛥𝜃max,")
    thisalinea.textcontent.append("a shower head was assigned (in the ‘‘Perfect Tracking’’ analysis) in")
    thisalinea.textcontent.append("the same way as described in Section 2.4. Up to this point in our")
    thisalinea.textcontent.append("analysis, no such restrictions were considered for the ‘‘Perfect Tracking’’")
    thisalinea.textcontent.append("algorithm, meaning that all results presented so far correspond to an")
    thisalinea.textcontent.append("indefinite uncertainty in the scattering angles. The consequences of")
    thisalinea.textcontent.append("imposing this restriction on the ‘‘Perfect Tracking’’ algorithm were")
    thisalinea.textcontent.append("studied for an average neutron energy of 600 MeV and a NeuLAND")
    thisalinea.textcontent.append("configuration of 30 dp (the design goal). The distance between the")
    thisalinea.textcontent.append("target and the front-face of NeuLAND is 14 m and the physics list")
    thisalinea.textcontent.append("used for this study is QGSP_INCLXX_HP. The effects of imposing a")
    thisalinea.textcontent.append("restriction on the error in the neutron scattering angles for the ‘‘Perfect")
    thisalinea.textcontent.append("Tracking’’ algorithm are shown in Fig. 12. The conventions used in")
    thisalinea.textcontent.append("Figs. 6–8 also apply to Fig. 12.")
    thisalinea.textcontent.append("From Fig. 12, we conclude that the efficiency of the ‘‘Perfect Track-")
    thisalinea.textcontent.append("ing’’ algorithm drops with smaller 𝛥𝜃max. Hence, for experiments that")
    thisalinea.textcontent.append("require good precision (small 𝛥𝜃max), the ‘‘Perfect Tracking’’ results pre-")
    thisalinea.textcontent.append("sented in Sections 3 and 4 (which correspond to 𝛥𝜃max → ∞) are indeed")
    thisalinea.textcontent.append("overestimations of the efficiency that can maximally be achieved by any")
    thisalinea.textcontent.append("shower-head identification algorithm. The ‘‘Perfect Tracking’’ curves")
    thisalinea.textcontent.append("that were shown in the previous sections correspond to 𝛥𝜃max → ∞ and")
    thisalinea.textcontent.append("represent the upper limit of this efficiency. This situation corresponds,")
    thisalinea.textcontent.append("for example, to the charge-exchange reactions discussed in Ref. [31],")
    thisalinea.textcontent.append("where the ejectile had to be detected with a precision of at least 0.5◦.")
    thisalinea.textcontent.append("For experiments that can afford a larger 𝛥𝜃max, the ‘‘Perfect Tracking’’")
    thisalinea.textcontent.append("results presented in Sections 3 and 4 are reasonably close to the")
    thisalinea.textcontent.append("efficiency that can maximally be achieved.")
    thisalinea.textcontent.append("Although the restriction of 𝛥𝜃max was only imposed on the ‘‘Perfect")
    thisalinea.textcontent.append("Tracking’’ algorithm, the DNN and TDR results in Fig. 12 are also")
    thisalinea.textcontent.append("affected by it, because these algorithms use the ‘‘Perfect Tracking’’")
    thisalinea.textcontent.append("result for their training (see Section 2.4). During an experiment only the")
    thisalinea.textcontent.append("solid lines of the DNN and TDR algorithms in Fig. 12 can be observed")
    thisalinea.textcontent.append("(see Section 3). Therefore, we conclude that only for experiments where")
    thisalinea.textcontent.append("a large 𝛥𝜃max is sufficient, the multiplicity classification can be done")
    thisalinea.textcontent.append("with reasonable efficiency. Experiments that require a small 𝛥𝜃max, will")
    thisalinea.textcontent.append("have a significant amount of false positives in their data (even for 30")
    thisalinea.textcontent.append("dp), which cannot be removed. For example, Fig. 12 shows that about")
    thisalinea.textcontent.append("two-thirds of the correctly-classified events in a 4n experiment that")
    thisalinea.textcontent.append("requires 𝛥𝜃max = 0.2◦ are false positives, while this would only be one-")
    thisalinea.textcontent.append("tenth for 4n experiments that have no restrictions on 𝛥𝜃max (𝛥𝜃max → ∞")
    thisalinea.textcontent.append("in Fig. 12).")
    thisalinea.textcontent.append("From Fig. 12, we also observe that the restricted DNN result drops")
    thisalinea.textcontent.append("with smaller 𝛥𝜃max along with the ‘‘Perfect Tracking’’ result. However,")
    thisalinea.textcontent.append("since these results are also always (significantly) below the ‘‘Perfect")
    thisalinea.textcontent.append("Tracking’’ results, one could argue that there is still room for improv-")
    thisalinea.textcontent.append("ing the DNN algorithm which would, in particular, be important for")
    thisalinea.textcontent.append("experiments that require a small value of 𝛥𝜃max. However, based on our")
    thisalinea.textcontent.append("experience in developing the present DNN algorithm, we do not expect")
    thisalinea.textcontent.append("much further improvement. Since the relative differences between the")
    thisalinea.textcontent.append("DNN results and the ‘‘Perfect Tracking’’ results are about the same")
    thisalinea.textcontent.append("at the multiplicity determination stage (Section 3) as they are at the")
    thisalinea.textcontent.append("‘‘Hit’’ selection stage (Section 4), we conclude that improvement should")
    thisalinea.textcontent.append("start to take place at the multiplicity determination stage. However,")
    thisalinea.textcontent.append("for this network the best possible options were already selected (for")
    thisalinea.textcontent.append("network properties like the loss function, optimizer, learning rate, etc.).")
    thisalinea.textcontent.append("Moreover, all available NeuLAND data were already given as inputs to")
    thisalinea.textcontent.append("the network (see Section 2.2). Hence, the only further improvement")
    thisalinea.textcontent.append("that could be made is to increase the network complexity (to raise the")
    thisalinea.textcontent.append("number and/or the width of hidden layers). This has been attempted")
    thisalinea.textcontent.append("in this work and the network training failed to converge.")
    thisalinea.textcontent.append("We believe that the main cause of the remaining differences be-")
    thisalinea.textcontent.append("tween the ‘‘restricted DNN’’ and the ‘‘Perfect Tracking’’ algorithm is")
    thisalinea.textcontent.append("that the particle showers in NeuLAND contain too many random com-")
    thisalinea.textcontent.append("ponents to allow for a significantly better multiplicity determination")
    thisalinea.textcontent.append("than what was achieved with the present DNN algorithm. This con-")
    thisalinea.textcontent.append("clusion is further supported by the observation that the present DNN")
    thisalinea.textcontent.append("multiplicity classification is independent of 𝛥𝜃max. In Fig. 12, the ‘‘DNN")
    thisalinea.textcontent.append("Total’’ result is more-or-less constant with 𝛥𝜃max and the ratio of the")
    thisalinea.textcontent.append("‘‘DNN restricted’’ result to the ‘‘Perfect Tracking’’ result is also more-")
    thisalinea.textcontent.append("or-less constant. The randomness of ‘‘Hits’’ in the detector apparently")
    thisalinea.textcontent.append("deteriorates the information needed for a high-precision multiplicity")
    thisalinea.textcontent.append("classification.")
    thisalinea.textcontent.append("A possible strategy for further improvement could be to also use")
    thisalinea.textcontent.append("information from other detectors in the setup than NeuLAND alone.")
    thisalinea.textcontent.append("Using the other detectors and the missing mass method, it is possible")
    thisalinea.textcontent.append("to obtain a 4-momentum vector containing the sum of all neutron")
    thisalinea.textcontent.append("tracks produced at the target. This 4-momentum vector carries infor-")
    thisalinea.textcontent.append("mation about the number of ejected neutrons (at the target). Therefore,")
    thisalinea.textcontent.append("depending on the capabilities (in terms of resolutions) of the other de-")
    thisalinea.textcontent.append("tectors in the setup, the information of this missing mass 4-momentum")
    thisalinea.textcontent.append("vector may have the potential to significantly improve the multiplicity")
    thisalinea.textcontent.append("classification. This option was not considered in the present study")
    thisalinea.textcontent.append("which focuses on the information solely obtained from NeuLAND and")
    thisalinea.textcontent.append("could be a valuable addition to the present DNN algorithm in future")
    thisalinea.textcontent.append("studies.")
    thisalinea.textcontent.append("The present DNN algorithm has to deal with a significant amount")
    thisalinea.textcontent.append("of false positives for experiments that require good precision in the")
    thisalinea.textcontent.append("neutron scattering angle (small 𝛥𝜃max). Hence, we need to explore")
    thisalinea.textcontent.append("the impact of these false positives on observables. Since this impact")
    thisalinea.textcontent.append("depends on the observable considered, we will limit our study to two")
    thisalinea.textcontent.append("of the most important observables in nuclear physics: invariant mass")
    thisalinea.textcontent.append("and cross section. To explore the impact of the false positives on")
    thisalinea.textcontent.append("these observables, the 4-neutron invariant mass spectra introduced in")
    thisalinea.textcontent.append("Section 4 were used. These spectra are shown in Fig. 13 for different")
    thisalinea.textcontent.append("values of 𝛥𝜃max.")
    thisalinea.textcontent.append("It is important to realize that the number of ‘‘restricted’’ events")
    thisalinea.textcontent.append("shown in Fig. 12 go through another selection criterion (‘‘Hit’’ selection")
    thisalinea.textcontent.append("stage) in order to obtain the results shown in Fig. 13. Hence, the")
    thisalinea.textcontent.append("number of events under the peak in Fig. 13 drops faster with 𝛥𝜃max")
    thisalinea.textcontent.append("than the corresponding result in Fig. 12.")
    thisalinea.textcontent.append("From Fig. 13 we conclude that the mean position and width of")
    thisalinea.textcontent.append("the peaks vary slightly with 𝛥𝜃max. Since these variations are much")
    thisalinea.textcontent.append("smaller than the experimental resolution, we conclude that the impact")
    thisalinea.textcontent.append("of the false positives on invariant mass values (such as resonance")
    thisalinea.textcontent.append("locations) is small. On the other hand, the peak area strongly depends")
    thisalinea.textcontent.append("on 𝛥𝜃max. Since during an experiment, one can only obtain the peak")
    thisalinea.textcontent.append("area corresponding to 𝛥𝜃max → ∞, the false positives may introduce a")
    thisalinea.textcontent.append("substantial error in the peak area. Fortunately, this can be corrected")
    thisalinea.textcontent.append("for in the cross section computation. Cross section is proportional to")
    thisalinea.textcontent.append("the peak area divided by the overall detection efficiency [31]. Hence,")
    thisalinea.textcontent.append("if the false positives are included in both the peak area and the detec-")
    thisalinea.textcontent.append("tion efficiency, the cross section can still be obtained with relatively")
    thisalinea.textcontent.append("good precision. The overall detection efficiency can be obtained from")
    thisalinea.textcontent.append("simulated data. First, one should divide the DNN peak area in the")
    thisalinea.textcontent.append("spectrum to the ‘‘Perfect Tracking’’ peak area. Next, the result of this")
    thisalinea.textcontent.append("division should be multiplied with the ‘‘Perfect Tracking’’ multiplicity")
    thisalinea.textcontent.append("efficiency (as in Fig. 12) to obtain the overall detection efficiency. For")
    thisalinea.textcontent.append("the example shown in Figs. 12 and 13 and for multiplicity 4, this would")
    thisalinea.textcontent.append("mean an efficiency of 68% (for 𝛥𝜃max → ∞) while this efficiency would")
    thisalinea.textcontent.append("go down to 7.8% percent for 𝛥𝜃max = 0.2◦. The corresponding numbers")
    thisalinea.textcontent.append("for the TDR algorithm would be 27% and 1.4%, respectively.")
    thisalinea.textcontent.append("To summarize, it can be stated that the present DNN algorithm could")
    thisalinea.textcontent.append("be further improved. This improvement is most needed for experiments")
    thisalinea.textcontent.append("that require good precision in the neutron scattering angle (small")
    thisalinea.textcontent.append("𝛥𝜃max) to reduce the large number of false positives. However, based")
    thisalinea.textcontent.append("on our experience, this improvement is unlikely to be realized using")
    thisalinea.textcontent.append("only NeuLAND data. On the other hand, the use of the missing mass")
    thisalinea.textcontent.append("method (from data obtained with the other detectors in the setup) may")
    thisalinea.textcontent.append("result in improvement of the present DNN multiplicity classification.")
    thisalinea.textcontent.append("The presently large number of false positives (for small 𝛥𝜃max) has little")
    thisalinea.textcontent.append("impact on invariant mass values. However, the effects of these false")
    thisalinea.textcontent.append("positives should be included in the detection efficiency for computing")
    thisalinea.textcontent.append("cross section values.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "6. Conclusion"
    thisalinea.titlefontsize = "7.970099999999988"
    thisalinea.nativeID = 13
    thisalinea.parentID = 2
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = "A new Machine Learning (DNN) algorithm was developed for the shower-head identification in the NeuLAND neutron detector. This DNN algorithm was compared to the TDR algorithm, a representative case for how shower-head identification can be done in NeuLAND without the use of Machine Learning. The main reason for developing the new DNN algorithm was to increase the efficiency of the shower-head identification so that the statistical accuracy of the measurements is increased. In virtually all investigated scenarios (see Sections 3 and 4), the new DNN algorithm offers a better efficiency for the shower-head identification than the TDR algorithm. For this "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("A new Machine Learning (DNN) algorithm was developed for the")
    thisalinea.textcontent.append("shower-head identification in the NeuLAND neutron detector. This DNN")
    thisalinea.textcontent.append("algorithm was compared to the TDR algorithm, a representative case")
    thisalinea.textcontent.append("for how shower-head identification can be done in NeuLAND without")
    thisalinea.textcontent.append("the use of Machine Learning. The main reason for developing the")
    thisalinea.textcontent.append("new DNN algorithm was to increase the efficiency of the shower-head")
    thisalinea.textcontent.append("identification so that the statistical accuracy of the measurements is")
    thisalinea.textcontent.append("increased.")
    thisalinea.textcontent.append("In virtually all investigated scenarios (see Sections 3 and 4), the")
    thisalinea.textcontent.append("new DNN algorithm offers a better efficiency for the shower-head")
    thisalinea.textcontent.append("identification than the TDR algorithm. For this reason, we conclude")
    thisalinea.textcontent.append("that the new DNN algorithm should be employed in the analysis of")
    thisalinea.textcontent.append("this type of detectors. The shower-head identification consists of two")
    thisalinea.textcontent.append("steps: the multiplicity determination and the ‘‘Hit’’ selection. For the")
    thisalinea.textcontent.append("multiplicity determination, the improvement in efficiency of the DNN")
    thisalinea.textcontent.append("algorithm with respect to the TDR algorithm is small. For the ‘‘Hit’’")
    thisalinea.textcontent.append("selection, it can be very large (up to a factor 3), especially for higher")
    thisalinea.textcontent.append("neutron energies.")
    thisalinea.textcontent.append("Physics-list uncertainties and a small number of double-planes (dp)")
    thisalinea.textcontent.append("used for NeuLAND can sometimes significantly inhibit a proper shower-")
    thisalinea.textcontent.append("head identification (see Sections 3 and 4). Therefore, we recommend to")
    thisalinea.textcontent.append("increase the number of NeuLAND dp as much as possible and to reduce")
    thisalinea.textcontent.append("the physics-list uncertainties. The latter requires both simulation-model")
    thisalinea.textcontent.append("improvements and accurate benchmarks against experimental data. As")
    thisalinea.textcontent.append("discussed in Section 2.5, event mixing could also help for this. For the")
    thisalinea.textcontent.append("required number of dp, we conclude that 8 dp suffices only for one-")
    thisalinea.textcontent.append("neutron experiments; for two-neutron experiments a minimum of 12")
    thisalinea.textcontent.append("dp are needed, and for higher neutron multiplicities, at least 16 dp are")
    thisalinea.textcontent.append("required.")
    thisalinea.textcontent.append("Our studies indicate that further improvements on top of the present")
    thisalinea.textcontent.append("DNN algorithm are also needed, especially for experiments that require")
    thisalinea.textcontent.append("good precision in the neutron scattering angle. However, it is unlikely")
    thisalinea.textcontent.append("that these improvements can be realized using only NeuLAND data.")
    thisalinea.textcontent.append("A possible improvement could come from using the other detectors in")
    thisalinea.textcontent.append("the setup to obtain a 4-momentum vector representing the sum of all")
    thisalinea.textcontent.append("neutron tracks utilizing the missing-mass method. This 4-momentum")
    thisalinea.textcontent.append("vector should then be fed into the multiplicity DNN to improve the")
    thisalinea.textcontent.append("classification. The degree by which this would improve the results")
    thisalinea.textcontent.append("should be further investigated.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "CRediT authorship contribution statement"
    thisalinea.titlefontsize = "7.970100000000002"
    thisalinea.nativeID = 14
    thisalinea.parentID = 2
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 6
    thisalinea.summary = "C.A. Douma: Conceptualization, Methodology, Software, Valida- tion, Formal analysis, Investigation, Writing - original draft, Writing - review & editing, Visualization. E. Hoemann: Conceptualization, Methodology, Investigation, Writing - review & editing. N. Kalantar- Nayestanaki: Conceptualization, Validation, Resources, Data curation, Writing - review & editing, Visualization, Supervision, Project admin- istration, Funding acquisition. J. Mayer: Conceptualization, Software, Validation, Writing - review & editing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("C.A. Douma: Conceptualization, Methodology, Software, Valida-")
    thisalinea.textcontent.append("tion, Formal analysis, Investigation, Writing - original draft, Writing")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "- review & editing, Visualization. E. Hoemann: Conceptualization, ..."
    thisalinea.titlefontsize = "7.970100000000002"
    thisalinea.nativeID = 15
    thisalinea.parentID = 14
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SIGNMARK
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "- review & editing, Visualization. E. Hoemann: Conceptualization, Methodology, Investigation, Writing - review & editing. N. Kalantar- Nayestanaki: Conceptualization, Validation, Resources, Data curation, Writing - review & editing, Visualization, Supervision, Project admin- istration, Funding acquisition. J. Mayer: Conceptualization, Software, Validation, Writing - review & editing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("- review & editing, Visualization. E. Hoemann: Conceptualization,")
    thisalinea.textcontent.append("Methodology, Investigation, Writing - review & editing. N. Kalantar-")
    thisalinea.textcontent.append("Nayestanaki: Conceptualization, Validation, Resources, Data curation,")
    thisalinea.textcontent.append("Writing - review & editing, Visualization, Supervision, Project admin-")
    thisalinea.textcontent.append("istration, Funding acquisition. J. Mayer: Conceptualization, Software,")
    thisalinea.textcontent.append("Validation, Writing - review & editing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "Declaration of competing interest"
    thisalinea.titlefontsize = "7.970100000000002"
    thisalinea.nativeID = 16
    thisalinea.parentID = 2
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 7
    thisalinea.summary = "The authors declare that they have no known competing finan- cial interests or personal relationships that could have appeared to influence the work reported in this paper. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("The authors declare that they have no known competing finan-")
    thisalinea.textcontent.append("cial interests or personal relationships that could have appeared to")
    thisalinea.textcontent.append("influence the work reported in this paper.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "Acknowledgments"
    thisalinea.titlefontsize = "7.970100000000002"
    thisalinea.nativeID = 17
    thisalinea.parentID = 2
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 8
    thisalinea.summary = "We would like to thank C. A. Marocico, J. Messchendorp and L. R. Zwerver for their helpful discussions about the use of Machine Learning Networks. We also would like to thank K. Boretsky, I. Gašparić, A. M. Heinz, H. T. Johansson and O. Tengblad for the helpful discussions about the results presented in this work and for their useful comments on the manuscript. J. Mayer is funded by the BMBF (05P19PKFNA) and the GSI (KZILGE1416). C. A. Douma is funded by the European Union’s Horizon 2020 research and innovation programme collaboration, see Fig. 14. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("We would like to thank C. A. Marocico, J. Messchendorp and L. R.")
    thisalinea.textcontent.append("Zwerver for their helpful discussions about the use of Machine Learning")
    thisalinea.textcontent.append("Networks. We also would like to thank K. Boretsky, I. Gašparić, A. M.")
    thisalinea.textcontent.append("Heinz, H. T. Johansson and O. Tengblad for the helpful discussions")
    thisalinea.textcontent.append("about the results presented in this work and for their useful comments")
    thisalinea.textcontent.append("on the manuscript. J. Mayer is funded by the BMBF (05P19PKFNA) and")
    thisalinea.textcontent.append("the GSI (KZILGE1416). C. A. Douma is funded by the European Union’s")
    thisalinea.textcontent.append("Horizon 2020 research and innovation programme collaboration, see")
    thisalinea.textcontent.append("Fig. 14.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "Appendix. Network structure optimalization"
    thisalinea.titlefontsize = "7.970100000000002"
    thisalinea.nativeID = 18
    thisalinea.parentID = 2
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 9
    thisalinea.summary = "In this appendix, the optimalization procedure for the DNN network structure is discussed. From general considerations (see Section 2.2), it was determined that the DNN should be a densely-connected network with ReLU activation functions on the hidden neurons and SoftMax activation functions on the output neurons. It was also determined that the DNN should have 9002 input neurons and (usually) 5 output neurons. This leaves the following parameters open: the number of hidden layers in the network, the number of neurons per hidden layer, the choice for the minimization function (the network loss function) and the choice for the minimization "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("In this appendix, the optimalization procedure for the DNN network")
    thisalinea.textcontent.append("structure is discussed. From general considerations (see Section 2.2), it")
    thisalinea.textcontent.append("was determined that the DNN should be a densely-connected network")
    thisalinea.textcontent.append("with ReLU activation functions on the hidden neurons and SoftMax")
    thisalinea.textcontent.append("activation functions on the output neurons. It was also determined")
    thisalinea.textcontent.append("that the DNN should have 9002 input neurons and (usually) 5 output")
    thisalinea.textcontent.append("neurons. This leaves the following parameters open: the number of")
    thisalinea.textcontent.append("hidden layers in the network, the number of neurons per hidden layer,")
    thisalinea.textcontent.append("the choice for the minimization function (the network loss function)")
    thisalinea.textcontent.append("and the choice for the minimization algorithm.")
    thisalinea.textcontent.append("These parameters were found by considering different networks")
    thisalinea.textcontent.append("with different values for one of these parameters, thereby optimizing")
    thisalinea.textcontent.append("these parameters one-by-one. The outcome of this optimization proce-")
    thisalinea.textcontent.append("dure is given in Table 2. The Accuracy considered for the optimization")
    thisalinea.textcontent.append("procedure is the average efficiency for the multiplicities one to five.")
    thisalinea.textcontent.append("Hence, if one would take the average over the five subfigures in")
    thisalinea.textcontent.append("Figs. 6–8, one would obtain the accuracy in Table 2. The situation")
    thisalinea.textcontent.append("considered in Table 2, is the 30 dp design goal for NeuLAND, 600 MeV")
    thisalinea.textcontent.append("neutrons, multiplicities ranging from 1 till 5 and a distance of 14 m")
    thisalinea.textcontent.append("between NeuLAND and the target. The table explores different standard")
    thisalinea.textcontent.append("options [23] for the optimizer (minimization algorithm), loss function")
    thisalinea.textcontent.append("(minimization function) and number of neurons per hidden layer. The")
    thisalinea.textcontent.append("last section contains different algorithms from Refs. [13,21] which have")
    thisalinea.textcontent.append("been put into the table for comparison purposes.")
    thisalinea.textcontent.append("As one can see from the first section of Table 2, the Categorical")
    thisalinea.textcontent.append("Cross entropy [27] was determined to be the optimal choice for the")
    thisalinea.textcontent.append("loss function. From the second and third section of Table 2, it is clear")
    thisalinea.textcontent.append("that ADGRAD is the better choice for the optimizer (other choices")
    thisalinea.textcontent.append("than ADAM or ADGRAD gave significantly worse results). It was also")
    thisalinea.textcontent.append("determined by optimization that for ADGRAD, learning rate 0.001, 𝜖 = 0")
    thisalinea.textcontent.append("and zero decay gave the best results. Finally, the fourth section of the")
    thisalinea.textcontent.append("table reveals that the optimal choice for the hidden layers is 9000 and")
    thisalinea.textcontent.append("1200 neurons (the bold-types row). Similar Networks with more than")
    thisalinea.textcontent.append("two hidden layers failed to achieve convergence during the training.")
    thisalinea.textcontent.append("A single DNN network training (like in Table 2) required several")
    thisalinea.textcontent.append("hours of computing time (we used an NVIDIA GeForce GTX 1050 Ti")
    thisalinea.textcontent.append("Mobile GPU for the training). On the other hand, it takes several weeks")
    thisalinea.textcontent.append("to train a single CNN network, and it could achieve an accuracy of")
    thisalinea.textcontent.append("74% [21]. This is why we chose to use a DNN in our work rather than")
    thisalinea.textcontent.append("a CNN.")
    thisalinea.textcontent.append("The exact values of the accuracy in Table 2 require some discussion.")
    thisalinea.textcontent.append("The values for the accuracies in Table 2 (including the CNN, TDR, Scor-")
    thisalinea.textcontent.append("ing and Bayesian algorithms) were obtained using the same ‘‘Perfect")
    thisalinea.textcontent.append("Tracking’’ algorithm as what was used in Refs. [8,13,21]. However, this")
    thisalinea.textcontent.append("algorithm turned out to incorrectly handle the Geant4 TrackIDs [32],")
    thisalinea.textcontent.append("causing the accuracies in Table 2 to come out too high. This is an")
    thisalinea.textcontent.append("overall effect in Table 2, which means that the conclusions about the")
    thisalinea.textcontent.append("optimal network parameters remain valid.")
    thisalinea.textcontent.append("In this work, we corrected for this problem in the ‘‘Perfect Tracking’’")
    thisalinea.textcontent.append("algorithm, causing the bold-typed accuracy from Table 2 to drop from")
    thisalinea.textcontent.append("81.4% to 65.5% (which is consistent with the red curves in Fig. 7).")
    thisalinea.textcontent.append("Likewise, the TDR efficiency in Table 2 drops from 63.4% to 59.5%")
    thisalinea.textcontent.append("(which is consistent with the blue curves in Fig. 7). All results reported")
    thisalinea.textcontent.append("in this work (except in the Appendix) were based on the correct ‘‘Per-")
    thisalinea.textcontent.append("fect Tracking’’ algorithm. However, for Table 2, we have deliberately")
    thisalinea.textcontent.append("chosen to display it using the previous ‘‘Perfect Tracking’’ algorithm to")
    thisalinea.textcontent.append("maintain backward compatibility with Refs. [8,13,21].")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "References"
    thisalinea.titlefontsize = "7.970100000000002"
    thisalinea.nativeID = 19
    thisalinea.parentID = 2
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 10
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    return alineas
