import sys
sys.path.insert(1, "../../")

from TextPart.textalinea import textalinea
from TextPart.masterrule import texttype
from TextPart.enum_type import enum_type

def hardcodedalineas_Kamerbrief_circulaire_economie() -> list[textalinea]:
    """
    This code holds the content of the textalineas-array in the textsplitter-class
    for the document Kamerbrief_circulaire_economie
    It is generated with the printcode()-functions of textsplitter & textalinea
    and it is supposed to be used only after a complete document analysis
    the outcome of this analysis (this script) can then be efficiently used
    for running regression-tests in the future.

    # Parameters: None (everything is hardcoded)
    # Return: list[textalinea] the hardcoded textalineas-array.
    """

    alineas = []

    thisalinea = textalinea()
    thisalinea.textlevel = 0
    thisalinea.texttitle = "Kamerbrief_circulaire_economie"
    thisalinea.titlefontsize = "1000.0"
    thisalinea.nativeID = 0
    thisalinea.parentID = -1
    thisalinea.alineatype = texttype.TITLE
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "De voorzitter van de Tweede Kamer der Staten-Generaal Postbus 20018 2500 EA DEN HAAG Datum 3 februari 2023 Betreft Nationaal Programma Circulaire Economie 2023-2030 (NPCE) incl. kabinetsreactie op ICER en SER-verkenning Geachte voorzitter, Met deze Kamerbrief bied ik u, als coördinerend bewindspersoon voor Circulaire Economie, mede namens de minister voor Volkshuisvesting en Ruimtelijke Ordening, de minister van Economische Zaken en Klimaat, de minister van Landbouw, Natuur en Voedselkwaliteit, de minister voor Klimaat en Energie en de minister voor Buitenlandse Handel en Ontwikkelingssamenwerking, het Nationaal Programma Circulaire Economie 2023-2030 (NPCE) aan. Met dit NPCE, dat volgt uit de afspraken in het "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De voorzitter van de Tweede Kamer")
    thisalinea.textcontent.append("der Staten-Generaal")
    thisalinea.textcontent.append("Postbus 20018")
    thisalinea.textcontent.append("2500 EA DEN HAAG")
    thisalinea.textcontent.append("Datum 3 februari 2023")
    thisalinea.textcontent.append("Betreft Nationaal Programma Circulaire Economie 2023-2030")
    thisalinea.textcontent.append("(NPCE) incl. kabinetsreactie op ICER en SER-verkenning")
    thisalinea.textcontent.append("Geachte voorzitter,")
    thisalinea.textcontent.append("Met deze Kamerbrief bied ik u, als coördinerend bewindspersoon voor Circulaire")
    thisalinea.textcontent.append("Economie, mede namens de minister voor Volkshuisvesting en Ruimtelijke")
    thisalinea.textcontent.append("Ordening, de minister van Economische Zaken en Klimaat, de minister van")
    thisalinea.textcontent.append("Landbouw, Natuur en Voedselkwaliteit, de minister voor Klimaat en Energie en de")
    thisalinea.textcontent.append("minister voor Buitenlandse Handel en Ontwikkelingssamenwerking, het Nationaal")
    thisalinea.textcontent.append("Programma Circulaire Economie 2023-2030 (NPCE) aan. Met dit NPCE, dat volgt")
    thisalinea.textcontent.append("uit de afspraken in het coalitieakkoord, zet het kabinet een volgende")
    thisalinea.textcontent.append("noodzakelijke stap in de transitie op weg naar een circulaire economie.")
    thisalinea.textcontent.append("In deze brief ga ik in op de belangrijkste inhoud van het NPCE. Daarnaast reageer")
    thisalinea.textcontent.append("ik op twee relevante rapporten: de Integrale Circulaire Economie Rapportage 2023")
    thisalinea.textcontent.append("(ICER) van het Planbureau voor de Leefomgeving (PBL) en de verkenning")
    thisalinea.textcontent.append("“Evenwichtig sturen op de grondstoffentransitie en energietransitie voor brede")
    thisalinea.textcontent.append("welvaart” van de Sociaal-Economische Raad (SER).")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "De circulaire transitie versnellen"
    thisalinea.titlefontsize = "9.0"
    thisalinea.nativeID = 1
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "De manier waarop we op dit moment met grondstoffen omgaan is niet houdbaar. Een stijgende bevolkingsomvang leidt bovendien zonder ingrijpen tot een toename van de vraag naar grondstoffen. Meer mensen betekent meer gebruik van grondstoffen, tenzij ze bijvoorbeeld vaker producten hergebruiken. Maar ook bestaande opgaves leiden tot een hogere vraag naar grondstoffen. Denk bijvoorbeeld aan de bouwopgave, die leidt tot een toenemende vraag naar bouwmateriaal. De energietransitie, die leidt tot een toenemende vraag naar grondstoffen voor de bouw van windmolens, zonneparken enzovoort. We mogen volgende generaties niet opzadelen met problemen die we nu veroorzaken . Daarom werkt het kabinet toe "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De manier waarop we op dit moment met grondstoffen omgaan is niet houdbaar.")
    thisalinea.textcontent.append("Een stijgende bevolkingsomvang leidt bovendien zonder ingrijpen tot een toename")
    thisalinea.textcontent.append("van de vraag naar grondstoffen. Meer mensen betekent meer gebruik van")
    thisalinea.textcontent.append("grondstoffen, tenzij ze bijvoorbeeld vaker producten hergebruiken. Maar ook")
    thisalinea.textcontent.append("bestaande opgaves leiden tot een hogere vraag naar grondstoffen. Denk")
    thisalinea.textcontent.append("bijvoorbeeld aan de bouwopgave, die leidt tot een toenemende vraag naar")
    thisalinea.textcontent.append("bouwmateriaal. De energietransitie, die leidt tot een toenemende vraag naar")
    thisalinea.textcontent.append("grondstoffen voor de bouw van windmolens, zonneparken enzovoort. We mogen")
    thisalinea.textcontent.append("volgende generaties niet opzadelen met problemen die we nu veroorzaken .")
    thisalinea.textcontent.append("Daarom werkt het kabinet toe naar een circulaire economie in 2050 met als")
    thisalinea.textcontent.append("richtinggevend doel het gebruik van primaire abiotische grondstoffen in 2030 te")
    thisalinea.textcontent.append("halveren.")
    thisalinea.textcontent.append("Een circulaire economie draagt bij aan het tegengaan van klimaatverandering, het")
    thisalinea.textcontent.append("herstellen en verbeteren van biodiversiteit en het creëren van een gezonde,")
    thisalinea.textcontent.append("schone en veilige leefomgeving. Daarnaast draagt een circulaire economie bij aan")
    thisalinea.textcontent.append("het vergroten van de leveringszekerheid van grondstoffen. De oorlog in Oekraïne")
    thisalinea.textcontent.append("maakt eens te meer duidelijk hoe afhankelijk we als Nederland zijn van andere")
    thisalinea.textcontent.append("landen voor onze grondstoffen1. Versnellen van de transitie is daarom hard nodig.")
    thisalinea.textcontent.append("Het NPCE is een belangrijke stap, maar met de maatregelen in het NPCE alleen")
    thisalinea.textcontent.append("komen we er niet. Er is meer nodig om de doelen daadwerkelijk te realiseren.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "Het Nationaal Programma Circulaire Economie 2023-2030 (NPCE)"
    thisalinea.titlefontsize = "9.0"
    thisalinea.nativeID = 2
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "In het NPCE zijn concrete doelen voor geselecteerde productgroepen geformuleerd en een uitgebreide set aan maatregelen opgenomen. In het NPCE zijn de maatregelen opgenomen langs de vier aangrijpingspunten: Waar het beleid zich eerder vooral richtte op materialen in de afvalfase, leggen we in dit NPCE steeds meer de nadruk op de gehele keten, van ontwerp en hergebruik tot en met verwerking, zonder de aandacht te verliezen voor de achterkant van de keten. Bij meer nadruk op de gehele keten kijken we ook naar de internationale delen daarvan. De transitie naar een circulaire economie voltrekt zich niet geïsoleerd; het is ook "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("In het NPCE zijn concrete doelen voor geselecteerde productgroepen geformuleerd")
    thisalinea.textcontent.append("en een uitgebreide set aan maatregelen opgenomen. In het NPCE zijn de")
    thisalinea.textcontent.append("maatregelen opgenomen langs de vier aangrijpingspunten:")
    thisalinea.textcontent.append("Waar het beleid zich eerder vooral richtte op materialen in de afvalfase, leggen we")
    thisalinea.textcontent.append("in dit NPCE steeds meer de nadruk op de gehele keten, van ontwerp en hergebruik")
    thisalinea.textcontent.append("tot en met verwerking, zonder de aandacht te verliezen voor de achterkant van de")
    thisalinea.textcontent.append("keten. Bij meer nadruk op de gehele keten kijken we ook naar de internationale")
    thisalinea.textcontent.append("delen daarvan. De transitie naar een circulaire economie voltrekt zich niet")
    thisalinea.textcontent.append("geïsoleerd; het is ook een Europees en internationaal proces. We sluiten daarom")
    thisalinea.textcontent.append("aan bij EU-beleid en dragen bij aan promotie van de circulaire economie op")
    thisalinea.textcontent.append("Europees en mondiaal niveau. Daarbij houden we ook oog voor onder meer de")
    thisalinea.textcontent.append("milieu- en sociaaleconomische consequenties van de transitie in andere landen,")
    thisalinea.textcontent.append("waaronder ontwikkelingslanden. Ook zetten we met het NPCE bewuster in op het")
    thisalinea.textcontent.append("stimuleren en faciliteren van het gewenste circulaire gedrag van burgers op basis")
    thisalinea.textcontent.append("van een uitgewerkte gedragsstrategie, die a ls bijlage is toegevoegd.")
    thisalinea.textcontent.append("Met de inzet op de vier aangrijpingspunten, zorgen we voor een evenwichtige")
    thisalinea.textcontent.append("inzet om te komen tot een circulaire economie, met een evenwichtige set aan")
    thisalinea.textcontent.append("stimulerende, normerende en beprijzende maatregelen. Per fase van de transitie")
    thisalinea.textcontent.append("in een productgroep of materiaalstroom zal het accent verschillen. Waar in het")
    thisalinea.textcontent.append("begin van de transitie de vrijwilligheid vooral gezocht werd met ook stimulerende")
    thisalinea.textcontent.append("maatregelen, zal gaandeweg steeds meer normerende en beprijzende")
    thisalinea.textcontent.append("maatregelen voor de hand liggen. Ik ben voornemens om een tijdlijn op te stellen")
    thisalinea.textcontent.append("waarin de verschillende (soorten) maatregelen duidelijk zichtbaar in de tijd")
    thisalinea.textcontent.append("worden gezet.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "1. Vermindering gebruik grondstoffen; "
    thisalinea.titlefontsize = "9.0"
    thisalinea.nativeID = 3
    thisalinea.parentID = 2
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Vermindering gebruik grondstoffen; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Vermindering gebruik grondstoffen;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "2. Substitutie; "
    thisalinea.titlefontsize = "9.0"
    thisalinea.nativeID = 4
    thisalinea.parentID = 2
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Substitutie; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Substitutie;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "3. Levensduurverlenging en "
    thisalinea.titlefontsize = "9.0"
    thisalinea.nativeID = 5
    thisalinea.parentID = 2
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Levensduurverlenging en "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Levensduurverlenging en")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "4. Hoogwaardige verwerking. "
    thisalinea.titlefontsize = "9.0"
    thisalinea.nativeID = 6
    thisalinea.parentID = 2
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Hoogwaardige verwerking. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Hoogwaardige verwerking.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "Maatregelen"
    thisalinea.titlefontsize = "8.999999999999972"
    thisalinea.nativeID = 7
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "De in het NPCE opgenomen maatregelen zijn financieel gedekt. In het geval van een verkenning of onderzoek is de verkenning of het onderzoek zelf gedekt, maar de doorvertaling van de uitkomsten van de verkenningen en onderzoeken naar eventuele beleidsmaatregelen niet. Voorbeelden van maatregelen in het NPCE zijn: 1: Vermindering gebruik grondstoffen: - In 2030 koopt de overheid veel meer circulair in. Denk aan bureaus en stoelen, maar ook aan bruggen, wegen en waterwerken. Daarmee voorkomen we veel onnodig gebruik van grondstoffen en stimuleren we dat bedrijven circulaire producten gaan aanbieden. - In 2030 is minimaal vijftig procent van de (wegwerp)verpakkingen "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De in het NPCE opgenomen maatregelen zijn financieel gedekt. In het geval van")
    thisalinea.textcontent.append("een verkenning of onderzoek is de verkenning of het onderzoek zelf gedekt, maar")
    thisalinea.textcontent.append("de doorvertaling van de uitkomsten van de verkenningen en onderzoeken naar")
    thisalinea.textcontent.append("eventuele beleidsmaatregelen niet.")
    thisalinea.textcontent.append("Voorbeelden van maatregelen in het NPCE zijn:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "1: Vermindering gebruik grondstoffen: "
    thisalinea.titlefontsize = "9.0"
    thisalinea.nativeID = 8
    thisalinea.parentID = 7
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1: Vermindering gebruik grondstoffen: - In 2030 koopt de overheid veel meer circulair in. Denk aan bureaus en stoelen, maar ook aan bruggen, wegen en waterwerken. Daarmee voorkomen we veel onnodig gebruik van grondstoffen en stimuleren we dat bedrijven circulaire producten gaan aanbieden. - In 2030 is minimaal vijftig procent van de (wegwerp)verpakkingen gereduceerd ten opzichte van nu. We verpakken alleen dat wat absoluut noodzakelijk is en stimuleren herbruikbare verpakkingen. - Milieuschade mag niet zonder gevolgen blijven. Veroorzaakt de productie van grondstoffen of producten milieuschade? Dan moet dat gecompenseerd worden door de producent. Door milieuschade te beprijzen, stimuleren we consumenten "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1: Vermindering gebruik grondstoffen:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 4
    thisalinea.texttitle = "- In 2030 koopt de overheid veel meer circulair in. Denk aan bureaus en stoelen, ..."
    thisalinea.titlefontsize = "9.0"
    thisalinea.nativeID = 9
    thisalinea.parentID = 8
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SIGNMARK
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "- In 2030 koopt de overheid veel meer circulair in. Denk aan bureaus en stoelen, maar ook aan bruggen, wegen en waterwerken. Daarmee voorkomen we veel onnodig gebruik van grondstoffen en stimuleren we dat bedrijven circulaire producten gaan aanbieden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("- In 2030 koopt de overheid veel meer circulair in. Denk aan bureaus en stoelen,")
    thisalinea.textcontent.append("maar ook aan bruggen, wegen en waterwerken. Daarmee voorkomen we veel")
    thisalinea.textcontent.append("onnodig gebruik van grondstoffen en stimuleren we dat bedrijven circulaire")
    thisalinea.textcontent.append("producten gaan aanbieden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 4
    thisalinea.texttitle = "- In 2030 is minimaal vijftig procent van de (wegwerp)verpakkingen gereduceerd ..."
    thisalinea.titlefontsize = "9.0"
    thisalinea.nativeID = 10
    thisalinea.parentID = 8
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SIGNMARK
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "- In 2030 is minimaal vijftig procent van de (wegwerp)verpakkingen gereduceerd ten opzichte van nu. We verpakken alleen dat wat absoluut noodzakelijk is en stimuleren herbruikbare verpakkingen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("- In 2030 is minimaal vijftig procent van de (wegwerp)verpakkingen gereduceerd")
    thisalinea.textcontent.append("ten opzichte van nu. We verpakken alleen dat wat absoluut noodzakelijk is en")
    thisalinea.textcontent.append("stimuleren herbruikbare verpakkingen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 4
    thisalinea.texttitle = "- Milieuschade mag niet zonder gevolgen blijven. Veroorzaakt de productie van ..."
    thisalinea.titlefontsize = "9.0"
    thisalinea.nativeID = 11
    thisalinea.parentID = 8
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SIGNMARK
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "- Milieuschade mag niet zonder gevolgen blijven. Veroorzaakt de productie van grondstoffen of producten milieuschade? Dan moet dat gecompenseerd worden door de producent. Door milieuschade te beprijzen, stimuleren we consumenten en producenten om verantwoorder keuzes te maken. De komende jaren verkennen w e hoe we nog onbeprijsde milieuschade beter in de kostprijs van producten en diensten kunnen meenemen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("- Milieuschade mag niet zonder gevolgen blijven. Veroorzaakt de productie van")
    thisalinea.textcontent.append("grondstoffen of producten milieuschade? Dan moet dat gecompenseerd worden")
    thisalinea.textcontent.append("door de producent. Door milieuschade te beprijzen, stimuleren we")
    thisalinea.textcontent.append("consumenten en producenten om verantwoorder keuzes te maken. De")
    thisalinea.textcontent.append("komende jaren verkennen w e hoe we nog onbeprijsde milieuschade beter in de")
    thisalinea.textcontent.append("kostprijs van producten en diensten kunnen meenemen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "2: Substitutie "
    thisalinea.titlefontsize = "9.0"
    thisalinea.nativeID = 12
    thisalinea.parentID = 7
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2: Substitutie - We zetten in op een verplicht percentage hernieuwbare grondstoffen. Doel hiervan is dat we meer en betere herbruikbare grondstoffen gebruiken. De komende tijd verkennen we hoe we dit verplichte percentage het beste kunnen invoeren en wat een realistisch percentage is . Hierbij hebben we oog voor verschillende materiaalstromen. We starten met textiel (via de ESPR2), verpakkingen (via de verpakkingenverordening), en elektrische apparaten (via de Ecodesign-richtlijn). - We werken aan het zo circulair mogelijk bouwen binnen de woningbouwopgave. Daarvoor gaan we onder andere de voorwaarden scheppen voor het vergroten van vraag en aanbod voor biobased bouw3. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2: Substitutie")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 4
    thisalinea.texttitle = "- We zetten in op een verplicht percentage hernieuwbare grondstoffen. Doel ..."
    thisalinea.titlefontsize = "9.0"
    thisalinea.nativeID = 13
    thisalinea.parentID = 12
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SIGNMARK
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "- We zetten in op een verplicht percentage hernieuwbare grondstoffen. Doel hiervan is dat we meer en betere herbruikbare grondstoffen gebruiken. De komende tijd verkennen we hoe we dit verplichte percentage het beste kunnen invoeren en wat een realistisch percentage is . Hierbij hebben we oog voor verschillende materiaalstromen. We starten met textiel (via de ESPR2), verpakkingen (via de verpakkingenverordening), en elektrische apparaten (via de Ecodesign-richtlijn). "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("- We zetten in op een verplicht percentage hernieuwbare grondstoffen. Doel")
    thisalinea.textcontent.append("hiervan is dat we meer en betere herbruikbare grondstoffen gebruiken. De")
    thisalinea.textcontent.append("komende tijd verkennen we hoe we dit verplichte percentage het beste kunnen")
    thisalinea.textcontent.append("invoeren en wat een realistisch percentage is . Hierbij hebben we oog voor")
    thisalinea.textcontent.append("verschillende materiaalstromen. We starten met textiel (via de ESPR2),")
    thisalinea.textcontent.append("verpakkingen (via de verpakkingenverordening), en elektrische apparaten (via")
    thisalinea.textcontent.append("de Ecodesign-richtlijn).")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 4
    thisalinea.texttitle = "- We werken aan het zo circulair mogelijk bouwen binnen de ..."
    thisalinea.titlefontsize = "9.0"
    thisalinea.nativeID = 14
    thisalinea.parentID = 12
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SIGNMARK
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "- We werken aan het zo circulair mogelijk bouwen binnen de woningbouwopgave. Daarvoor gaan we onder andere de voorwaarden scheppen voor het vergroten van vraag en aanbod voor biobased bouw3. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("- We werken aan het zo circulair mogelijk bouwen binnen de")
    thisalinea.textcontent.append("woningbouwopgave. Daarvoor gaan we onder andere de voorwaarden")
    thisalinea.textcontent.append("scheppen voor het vergroten van vraag en aanbod voor biobased bouw3.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "3: Levensduurverlenging: "
    thisalinea.titlefontsize = "9.0"
    thisalinea.nativeID = 15
    thisalinea.parentID = 7
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3: Levensduurverlenging: - We gaan hergebruik stimuleren, onder andere door het kopen en verkopen van tweedehandskleding te stimuleren (via de Uitgebreide producentenverantwoordelijkheid (UP V)). We onderzoeken of het mogelijk is om retailers te verplichten een steeds groter aandeel tweedehands producten aan te bieden. - Vanaf 2023 komt er een reparateursregister voor elektrische en elektronische apparaten, zodat producten die het niet meer doen worden hersteld in plaats van weggegooid. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3: Levensduurverlenging:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 4
    thisalinea.texttitle = "- We gaan hergebruik stimuleren, onder andere door het kopen en verkopen van ..."
    thisalinea.titlefontsize = "9.0"
    thisalinea.nativeID = 16
    thisalinea.parentID = 15
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SIGNMARK
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "- We gaan hergebruik stimuleren, onder andere door het kopen en verkopen van tweedehandskleding te stimuleren (via de Uitgebreide producentenverantwoordelijkheid (UP V)). We onderzoeken of het mogelijk is om retailers te verplichten een steeds groter aandeel tweedehands producten aan te bieden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("- We gaan hergebruik stimuleren, onder andere door het kopen en verkopen van")
    thisalinea.textcontent.append("tweedehandskleding te stimuleren (via de Uitgebreide")
    thisalinea.textcontent.append("producentenverantwoordelijkheid (UP V)). We onderzoeken of het mogelijk is")
    thisalinea.textcontent.append("om retailers te verplichten een steeds groter aandeel tweedehands producten")
    thisalinea.textcontent.append("aan te bieden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 4
    thisalinea.texttitle = "- Vanaf 2023 komt er een reparateursregister voor elektrische en elektronische ..."
    thisalinea.titlefontsize = "9.0"
    thisalinea.nativeID = 17
    thisalinea.parentID = 15
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SIGNMARK
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "- Vanaf 2023 komt er een reparateursregister voor elektrische en elektronische apparaten, zodat producten die het niet meer doen worden hersteld in plaats van weggegooid. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("- Vanaf 2023 komt er een reparateursregister voor elektrische en elektronische")
    thisalinea.textcontent.append("apparaten, zodat producten die het niet meer doen worden hersteld in plaats")
    thisalinea.textcontent.append("van weggegooid.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "4: Hoogwaardige verwerking "
    thisalinea.titlefontsize = "9.0"
    thisalinea.nativeID = 18
    thisalinea.parentID = 7
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4: Hoogwaardige verwerking - In 2050 moet het verbranden van recyclebaar materiaal volledig verleden tijd zijn. Dat vergt ingrepen aan de voorkant van de keten. Daarom gaan we onder andere gemeentes én inwoners van Nederland helpen om afval nog beter te scheiden. Uiteindelijk kan dit leiden tot een materiaalgericht verbrandingsverbod. - We zetten in op een UPV voor meubels voor 2030. Dat betekent dat producenten verantwoordelijk worden gemaakt voor (de kosten van) het inzamelen en recyclen van meubels aan het einde van de levensduur, zodat er zo min mogelijk afval ontstaat. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4: Hoogwaardige verwerking")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 4
    thisalinea.texttitle = "- In 2050 moet het verbranden van recyclebaar materiaal volledig verleden tijd ..."
    thisalinea.titlefontsize = "9.0"
    thisalinea.nativeID = 19
    thisalinea.parentID = 18
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SIGNMARK
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "- In 2050 moet het verbranden van recyclebaar materiaal volledig verleden tijd zijn. Dat vergt ingrepen aan de voorkant van de keten. Daarom gaan we onder andere gemeentes én inwoners van Nederland helpen om afval nog beter te scheiden. Uiteindelijk kan dit leiden tot een materiaalgericht verbrandingsverbod. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("- In 2050 moet het verbranden van recyclebaar materiaal volledig verleden tijd")
    thisalinea.textcontent.append("zijn. Dat vergt ingrepen aan de voorkant van de keten. Daarom gaan we onder")
    thisalinea.textcontent.append("andere gemeentes én inwoners van Nederland helpen om afval nog beter te")
    thisalinea.textcontent.append("scheiden. Uiteindelijk kan dit leiden tot een materiaalgericht")
    thisalinea.textcontent.append("verbrandingsverbod.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 4
    thisalinea.texttitle = "- We zetten in op een UPV voor meubels voor 2030. Dat betekent dat ..."
    thisalinea.titlefontsize = "9.0"
    thisalinea.nativeID = 20
    thisalinea.parentID = 18
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SIGNMARK
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "- We zetten in op een UPV voor meubels voor 2030. Dat betekent dat producenten verantwoordelijk worden gemaakt voor (de kosten van) het inzamelen en recyclen van meubels aan het einde van de levensduur, zodat er zo min mogelijk afval ontstaat. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("- We zetten in op een UPV voor meubels voor 2030. Dat betekent dat")
    thisalinea.textcontent.append("producenten verantwoordelijk worden gemaakt voor (de kosten van) het")
    thisalinea.textcontent.append("inzamelen en recyclen van meubels aan het einde van de levensduur, zodat er")
    thisalinea.textcontent.append("zo min mogelijk afval ontstaat.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "ICER en SER-verkenning"
    thisalinea.titlefontsize = "9.0"
    thisalinea.nativeID = 21
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "Bij het opstellen van het Nationaal Programma zijn de aanbevelingen van de SER- verkenning (Kamerstuk 32852 nr. 209) en de Integrale Circulaire Economie Rapportage van het PBL (bijlage bij deze brief) betrokken. De belangrijkste aanbevelingen uit de SER-verkenning en de ICER sluiten nauw bij elkaar aan. Ambities voor 2030 en 2050 helpen de stap te zetten naar een circulaire economie. In het NPCE zijn daarom doelen opgenomen voor productgroepen, overeenkomstig de eerste aanbeveling van de SER en het PBL. Aangetekend dient te worden dat voor het vaststellen van overkoepelende doelen nog een aantal stappen te zetten is. Ten aanzien van "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Bij het opstellen van het Nationaal Programma zijn de aanbevelingen van de SER-")
    thisalinea.textcontent.append("verkenning (Kamerstuk 32852 nr. 209) en de Integrale Circulaire Economie")
    thisalinea.textcontent.append("Rapportage van het PBL (bijlage bij deze brief) betrokken. De belangrijkste")
    thisalinea.textcontent.append("aanbevelingen uit de SER-verkenning en de ICER sluiten nauw bij elkaar aan.")
    thisalinea.textcontent.append("Ambities voor 2030 en 2050 helpen de stap te zetten naar een circulaire")
    thisalinea.textcontent.append("economie. In het NPCE zijn daarom doelen opgenomen voor productgroepen,")
    thisalinea.textcontent.append("overeenkomstig de eerste aanbeveling van de SER en het PBL. Aangetekend dient")
    thisalinea.textcontent.append("te worden dat voor het vaststellen van overkoepelende doelen nog een aantal")
    thisalinea.textcontent.append("stappen te zetten is. Ten aanzien van de tweede aanbeveling is zoals eerder")
    thisalinea.textcontent.append("gesteld een grote stap gezet in het NPCE, met een evenwichtige set aan")
    thisalinea.textcontent.append("maatregelen. Op de derde en vierde aanbeveling kom ik later in deze brief terug.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "1. Stel concrete doelen op die gepositioneerd zijn in een visie voor de ..."
    thisalinea.titlefontsize = "9.0"
    thisalinea.nativeID = 22
    thisalinea.parentID = 21
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Stel concrete doelen op die gepositioneerd zijn in een visie voor de lange termijn. Het PBL stelt voor om op nationaal niveau meerdere doelen op te stellen, de SER stelt één duurzame grondstoffendoelstelling voor. Beide organisaties bevelen doelen aan waarbij zowel op milieu als circulariteit wordt gestuurd. Om concrete invulling te geven aan een doel moet deze volgens hen specifiek gemaakt worden op productgroepniveau (volgens het PBL) of worden toebedeeld aan sectoren en ketens (SER). "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Stel concrete doelen op die gepositioneerd zijn in een visie voor de")
    thisalinea.textcontent.append("lange termijn.")
    thisalinea.textcontent.append("Het PBL stelt voor om op nationaal niveau meerdere doelen op te stellen,")
    thisalinea.textcontent.append("de SER stelt één duurzame grondstoffendoelstelling voor. Beide")
    thisalinea.textcontent.append("organisaties bevelen doelen aan waarbij zowel op milieu als circulariteit")
    thisalinea.textcontent.append("wordt gestuurd. Om concrete invulling te geven aan een doel moet deze")
    thisalinea.textcontent.append("volgens hen specifiek gemaakt worden op productgroepniveau (volgens het")
    thisalinea.textcontent.append("PBL) of worden toebedeeld aan sectoren en ketens (SER).")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "2. Ontwikkel een coherent pakket van beleidsmaatregelen met ..."
    thisalinea.titlefontsize = "9.0"
    thisalinea.nativeID = 23
    thisalinea.parentID = 21
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Ontwikkel een coherent pakket van beleidsmaatregelen met voldoende inzet van verplichtende maatregelen zoals normering en beprijzing. Deze maatregelen scheppen nieuwe spelregels om een substantiële marktvraag te creëren naar circulaire producten die nodig is om de omslag naar een circulaire economie te maken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Ontwikkel een coherent pakket van beleidsmaatregelen met")
    thisalinea.textcontent.append("voldoende inzet van verplichtende maatregelen zoals normering en")
    thisalinea.textcontent.append("beprijzing.")
    thisalinea.textcontent.append("Deze maatregelen scheppen nieuwe spelregels om een substantiële")
    thisalinea.textcontent.append("marktvraag te creëren naar circulaire producten die nodig is om de omslag")
    thisalinea.textcontent.append("naar een circulaire economie te maken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "3. Versterk de governance inclusief uitvoeringsstructuur met een ..."
    thisalinea.titlefontsize = "9.0"
    thisalinea.nativeID = 24
    thisalinea.parentID = 21
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Versterk de governance inclusief uitvoeringsstructuur met een duidelijke verdeling van de verantwoordelijkheden. Geef betrokken partijen een stevig en gespecificeerd mandaat om de gewenste veranderingen te realiseren. Het PBL en de SER geven aan dat voldoende structurele mogelijkheden (mensen en middelen) beschikbaar moeten komen om deze verantwoordelijkheden waar te maken. Ze constateren dat er op dit moment te weinig middelen beschikbaar worden gemaakt door het kabinet. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Versterk de governance inclusief uitvoeringsstructuur met een")
    thisalinea.textcontent.append("duidelijke verdeling van de verantwoordelijkheden.")
    thisalinea.textcontent.append("Geef betrokken partijen een stevig en gespecificeerd mandaat om de")
    thisalinea.textcontent.append("gewenste veranderingen te realiseren. Het PBL en de SER geven aan dat")
    thisalinea.textcontent.append("voldoende structurele mogelijkheden (mensen en middelen) beschikbaar")
    thisalinea.textcontent.append("moeten komen om deze verantwoordelijkheden waar te maken. Ze")
    thisalinea.textcontent.append("constateren dat er op dit moment te weinig middelen beschikbaar worden")
    thisalinea.textcontent.append("gemaakt door het kabinet.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "4. Zet in op een kabinetsbrede aanpak waarin circulariteit volledig ..."
    thisalinea.titlefontsize = "9.0"
    thisalinea.nativeID = 25
    thisalinea.parentID = 21
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Zet in op een kabinetsbrede aanpak waarin circulariteit volledig wordt geïntegreerd in ander beleid om de ambitie om de economie circulair te maken in 2050 te behalen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Zet in op een kabinetsbrede aanpak waarin circulariteit volledig")
    thisalinea.textcontent.append("wordt geïntegreerd in ander beleid om de ambitie om de economie")
    thisalinea.textcontent.append("circulair te maken in 2050 te behalen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "Uitwerking ambitieus klimaatdoel voor de circulaire economie"
    thisalinea.titlefontsize = "9.0"
    thisalinea.nativeID = 26
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "In het NPCE wordt ingegaan op de verdere uitwerking van het ambitieuze klimaatdoel voor de circulaire economie. Door het sturen en faciliteren van (internationale) duurzame, circulaire ketens draagt beleid voor de circulaire economie immers bij aan de klimaatopgave, op zowel (1) de mondiale klimaatopgave als (2) de nationale klimaatdoelen. Het kabinet zet zich in voor het reduceren van de Nederlandse broeikasgasvoetafdruk. Beleid hiertoe zal ook bijdragen aan de kabinetsdoelstelling om in 2030 nationaal minimaal 55 procent uitstootreductie te realiseren. Zoals eerder aan uw Kamer gemeld ziet het kabinet een potentiële bijdrage aan de binnenlandse reductie -opgave van structureel 2-4 Mton "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("In het NPCE wordt ingegaan op de verdere uitwerking van het ambitieuze")
    thisalinea.textcontent.append("klimaatdoel voor de circulaire economie. Door het sturen en faciliteren van")
    thisalinea.textcontent.append("(internationale) duurzame, circulaire ketens draagt beleid voor de circulaire")
    thisalinea.textcontent.append("economie immers bij aan de klimaatopgave, op zowel (1) de mondiale")
    thisalinea.textcontent.append("klimaatopgave als (2) de nationale klimaatdoelen. Het kabinet zet zich in voor het")
    thisalinea.textcontent.append("reduceren van de Nederlandse broeikasgasvoetafdruk. Beleid hiertoe zal ook")
    thisalinea.textcontent.append("bijdragen aan de kabinetsdoelstelling om in 2030 nationaal minimaal 55 procent")
    thisalinea.textcontent.append("uitstootreductie te realiseren. Zoals eerder aan uw Kamer gemeld ziet het kabinet")
    thisalinea.textcontent.append("een potentiële bijdrage aan de binnenlandse reductie -opgave van structureel 2-4")
    thisalinea.textcontent.append("Mton CO2-reductie door circulair beleid. Een recente studie door CE Delft naa r de")
    thisalinea.textcontent.append("kwantitatieve CO2-impact van een tiental circulaire maatregelen laat zien dat,")
    thisalinea.textcontent.append("naast de te verwachten mondiale reducties, de verwachte nationale CO 2-reductie")
    thisalinea.textcontent.append("0,1 tot 2,8 Mton bedraagt. Het precieze reductiepotentieel op Nederlands")
    thisalinea.textcontent.append("grondgebied ten opzichte van het huidig klimaatbeleid is daarmee onzeker. Dit")
    thisalinea.textcontent.append("onderzoek stuur ik mee met deze brief.")
    thisalinea.textcontent.append("Een circulaire economie draagt bij aan de klimaatopgave, milieuopgave,")
    thisalinea.textcontent.append("biodiversiteit en leveringszekerheid. Omgekeerd kan klimaatbeleid een circulaire")
    thisalinea.textcontent.append("economie helpen versnellen. In het NPCE wordt ingegaan op hoe de samenhang")
    thisalinea.textcontent.append("tussen circulaire economie en klimaatbeleid wordt versterkt in het")
    thisalinea.textcontent.append("instrumentarium en welke mogelijkheden er zijn om de samenhang te versterken")
    thisalinea.textcontent.append("in de verschillende klimaatsectoren.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "Data en monitoring"
    thisalinea.titlefontsize = "9.0"
    thisalinea.nativeID = 27
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = "Bij het opstellen van het NPCE (en eerder de adviesroutekaarten door de transitieteams 4) bleek dat nog veel data ontbreken. Data over de feitelijke belemmeringen, de effectiviteit van maatregelen en de kosten. Het komende jaar zal gebruikt worden voor het goed in kaart brengen op welke onderdelen de noodzakelijk data ontbreekt. En zetten we een eerste stap in het verder verzamelen van deze data. Dit draagt bij het aan zowel de eerste als de tweede aanbeveling van de SER en het PBL. Een belangrijke notie hierbij is dat de dataverzameling, net als de wijze waarop we de doelen zullen meten, "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Bij het opstellen van het NPCE (en eerder de adviesroutekaarten door de")
    thisalinea.textcontent.append("transitieteams 4) bleek dat nog veel data ontbreken. Data over de feitelijke")
    thisalinea.textcontent.append("belemmeringen, de effectiviteit van maatregelen en de kosten. Het komende jaar")
    thisalinea.textcontent.append("zal gebruikt worden voor het goed in kaart brengen op welke onderdelen de")
    thisalinea.textcontent.append("noodzakelijk data ontbreekt. En zetten we een eerste stap in het verder")
    thisalinea.textcontent.append("verzamelen van deze data. Dit draagt bij het aan zowel de eerste als de tweede")
    thisalinea.textcontent.append("aanbeveling van de SER en het PBL. Een belangrijke notie hierbij is dat de")
    thisalinea.textcontent.append("dataverzameling, net als de wijze waarop we de doelen zullen meten, nog")
    thisalinea.textcontent.append("onontgonnen terrein is, mede omdat we voorlopen op andere landen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "Kabinetsbrede inzet op circulaire economie"
    thisalinea.titlefontsize = "9.0"
    thisalinea.nativeID = 28
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 6
    thisalinea.summary = "Indachtig de vierde aanbeveling van het PBL en de SER, vinden we het belangrijk om te benadrukken dat de transitie naar een circulaire economie een kabinetsbrede aanpak is. Omdat de transitie naar een circulaire economie andere opgaven raakt en kan helpen (en vice versa), trekken we voor de uitwerking zoveel mogelijk op met andere ministeries , waarvan de SER en het PBL in hun adviezen ook het belang benadrukken. Denk hierbij ook aan samenwerking bij de klimaat- en energietransitie, de woningbouwopgave en de transitie in het landelijk gebied, maar ook aan de zorg, sport, logistiek en mobiliteit. Op 9 december "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Indachtig de vierde aanbeveling van het PBL en de SER, vinden we het belangrijk")
    thisalinea.textcontent.append("om te benadrukken dat de transitie naar een circulaire economie een")
    thisalinea.textcontent.append("kabinetsbrede aanpak is. Omdat de transitie naar een circulaire economie andere")
    thisalinea.textcontent.append("opgaven raakt en kan helpen (en vice versa), trekken we voor de uitwerking")
    thisalinea.textcontent.append("zoveel mogelijk op met andere ministeries , waarvan de SER en het PBL in hun")
    thisalinea.textcontent.append("adviezen ook het belang benadrukken. Denk hierbij ook aan samenwerking bij de")
    thisalinea.textcontent.append("klimaat- en energietransitie, de woningbouwopgave en de transitie in het landelijk")
    thisalinea.textcontent.append("gebied, maar ook aan de zorg, sport, logistiek en mobiliteit.")
    thisalinea.textcontent.append("Op 9 december 2022 heeft uw Kamer tevens de Nationale Grondstoffenstrategie")
    thisalinea.textcontent.append("(Kamerstuk 2022Z24775) ontvangen. Deze kent een nauwe samenhang met het")
    thisalinea.textcontent.append("NPCE, met name als het gaat om inzet van circulaire strategieën gericht op het")
    thisalinea.textcontent.append("vergroten van de leveringszekerheid van kritieke grondstoffen en de")
    thisalinea.textcontent.append("verduurzaming van internationale ketens . De Grondstoffenstrategie en het NPCE")
    thisalinea.textcontent.append("versterken elkaar.")
    thisalinea.textcontent.append("In samenhang met de derde aanbeveling van het PBL en de SER heeft uw Kamer")
    thisalinea.textcontent.append("per motie (Kamerstukken 32852, nr. 199) verzocht om naast het concretiseren")
    thisalinea.textcontent.append("van circulaire economiedoelen ook de concrete beleidsopties, routes, afwegingen")
    thisalinea.textcontent.append("en (maatschappelijke) kosten die gepaard gaan met het behalen van deze doelen ,")
    thisalinea.textcontent.append("in kaart te brengen. Deze zijn opgenomen in de bijlage . Daarnaast wordt hierbij")
    thisalinea.textcontent.append("invulling gegeven aan de motie Bontenbal/Grinwis (Kamerstukken 32813, nr.")
    thisalinea.textcontent.append("952).")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "Tot slot"
    thisalinea.titlefontsize = "9.0"
    thisalinea.nativeID = 29
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 7
    thisalinea.summary = "We gaan met dit NPCE een volgende fase van deze urgente transitie in. Het kabinet had dit programma niet op kunnen stellen zonder de basis die er afgelopen jaren gelegd is. Daar zijn we de betrokken partijen, zoals de transitieteams en leden van het Bestuurlijk Overleg Circulaire Economie en hun achterban, zeer erkentelijk voor. Om de benodigde versnelling mogelijk te maken gaan we met het NPCE in de hand in gesprek met betrokken partijen bij de circulaire economie. We gaan afspraken maken met bedrijven, werkgeversorganisaties, financiële en kennisinstellingen, vakbonden, maatschappelijke organisaties en medeoverheden over de bijdrage die zij kunnen leveren "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("We gaan met dit NPCE een volgende fase van deze urgente transitie in. Het")
    thisalinea.textcontent.append("kabinet had dit programma niet op kunnen stellen zonder de basis die er")
    thisalinea.textcontent.append("afgelopen jaren gelegd is. Daar zijn we de betrokken partijen, zoals de")
    thisalinea.textcontent.append("transitieteams en leden van het Bestuurlijk Overleg Circulaire Economie en hun")
    thisalinea.textcontent.append("achterban, zeer erkentelijk voor.")
    thisalinea.textcontent.append("Om de benodigde versnelling mogelijk te maken gaan we met het NPCE in de")
    thisalinea.textcontent.append("hand in gesprek met betrokken partijen bij de circulaire economie. We gaan")
    thisalinea.textcontent.append("afspraken maken met bedrijven, werkgeversorganisaties, financiële en")
    thisalinea.textcontent.append("kennisinstellingen, vakbonden, maatschappelijke organisaties en medeoverheden")
    thisalinea.textcontent.append("over de bijdrage die zij kunnen leveren aan het realiseren van de doelen. Veel")
    thisalinea.textcontent.append("partijen hebben in aanloop naar dit NPCE aangegeven een bijdrage te willen")
    thisalinea.textcontent.append("leveren.")
    thisalinea.textcontent.append("We zetten met het NPCE weer een stap op weg naar de circulaire economie. Maar,")
    thisalinea.textcontent.append("zoals gezegd, is er nog meer nodig om de ambities te halen. We willen de")
    thisalinea.textcontent.append("komende jaren daarom meer stappen zetten en gaan op zoek naar mogelijkheden")
    thisalinea.textcontent.append("om de doelen binnen bereik te brengen.")
    thisalinea.textcontent.append("Hoogachtend,")
    thisalinea.textcontent.append("DE STAATSSECRETARIS VAN INFRASTRUCTUUR EN WATERSTAAT,")
    thisalinea.textcontent.append("drs. V.L.W.A. Heijnen")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "Bijlage: Mogelijke aanvullende maatregelen op het NPCE"
    thisalinea.titlefontsize = "9.0"
    thisalinea.nativeID = 30
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 8
    thisalinea.summary = "In het Nationaal Programma Circulaire Economie 2023-2030 zijn alleen maatregelen en acties opgenomen waar we middelen voor hebben. Voor de volgende aanvullende maatregelen en acties zijn (nog) geen middelen: Niet in deze bijlage opgenomen, maar wel relevant, is de opvolging van de aanbevelingen die volgen uit de verkenningen van maatregelen en onderzoeken zijn opgenomen in het NPCE. De verkenning/onderzoek is financieel gedekt, maar de uitvoering van de hieruit volgende aanbevelingen niet. Deze kunnen zonder aanvullende middelen dus niet zomaar doorgang vinden. Met deze bijlage geven we invulling aan een motie van Tweede Kamerlid Mulder (CDA).5 De voorgestelde wetgevende maatregelen, zowel "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("In het Nationaal Programma Circulaire Economie 2023-2030 zijn alleen")
    thisalinea.textcontent.append("maatregelen en acties opgenomen waar we middelen voor hebben. Voor de")
    thisalinea.textcontent.append("volgende aanvullende maatregelen en acties zijn (nog) geen middelen:")
    thisalinea.textcontent.append("Niet in deze bijlage opgenomen, maar wel relevant, is de opvolging van de")
    thisalinea.textcontent.append("aanbevelingen die volgen uit de verkenningen van maatregelen en onderzoeken")
    thisalinea.textcontent.append("zijn opgenomen in het NPCE. De verkenning/onderzoek is financieel gedekt, maar")
    thisalinea.textcontent.append("de uitvoering van de hieruit volgende aanbevelingen niet. Deze kunnen zonder")
    thisalinea.textcontent.append("aanvullende middelen dus niet zomaar doorgang vinden.")
    thisalinea.textcontent.append("Met deze bijlage geven we invulling aan een motie van Tweede Kamerlid Mulder")
    thisalinea.textcontent.append("(CDA).5")
    thisalinea.textcontent.append("De voorgestelde wetgevende maatregelen, zowel nationaal als Europees, zullen")
    thisalinea.textcontent.append("impact hebben op handhaving, uitvoering en toezicht, ook financieel. De impact op")
    thisalinea.textcontent.append("uitvoering en handhaving zal bij verdere uitwerking van specifieke wetgevende")
    thisalinea.textcontent.append("maatregelen met een HUF-toets6 nader in kaart worden gebracht. Dit zal nader")
    thisalinea.textcontent.append("inzicht geven in de implicaties voor de bevoegde autoriteiten (o.a. de Inspectie")
    thisalinea.textcontent.append("voor Leefomgeving en Transport (ILT) en Omgevingsdiensten),")
    thisalinea.textcontent.append("uitvoeringsorganisaties (o.a. RWS, RVO) en, in sommige gevallen")
    thisalinea.textcontent.append("medeoverheden, en de budgettaire gevolgen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = " Circulair uitvoeren andere transities (zoals klimaatagenda en bouwopgave) ..."
    thisalinea.titlefontsize = "9.0"
    thisalinea.nativeID = 31
    thisalinea.parentID = 30
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SIGNMARK
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = " Circulair uitvoeren andere transities (zoals klimaatagenda en bouwopgave) uitgebreider dan huidige inzet; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append(" Circulair uitvoeren andere transities (zoals klimaatagenda en bouwopgave)")
    thisalinea.textcontent.append("uitgebreider dan huidige inzet;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = " Opschalingsregeling Circulaire Economie (volgens systematiek SDE++); "
    thisalinea.titlefontsize = "9.0"
    thisalinea.nativeID = 32
    thisalinea.parentID = 30
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SIGNMARK
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = " Opschalingsregeling Circulaire Economie (volgens systematiek SDE++); "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append(" Opschalingsregeling Circulaire Economie (volgens systematiek SDE++);")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = " Meerkosten vergoeden bij Maatschappelijk Verantwoord Opdrachtgeven en ..."
    thisalinea.titlefontsize = "9.0"
    thisalinea.nativeID = 33
    thisalinea.parentID = 30
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SIGNMARK
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = " Meerkosten vergoeden bij Maatschappelijk Verantwoord Opdrachtgeven en Inkopen (MVOI); "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append(" Meerkosten vergoeden bij Maatschappelijk Verantwoord Opdrachtgeven en")
    thisalinea.textcontent.append("Inkopen (MVOI);")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = " Voor meer productgroepen circulaire inkoopcriteria oppakken; "
    thisalinea.titlefontsize = "9.0"
    thisalinea.nativeID = 34
    thisalinea.parentID = 30
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SIGNMARK
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = " Voor meer productgroepen circulaire inkoopcriteria oppakken; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append(" Voor meer productgroepen circulaire inkoopcriteria oppakken;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = " Faciliteren medeoverheden en regionale partijen om circulaire economie- ..."
    thisalinea.titlefontsize = "9.0"
    thisalinea.nativeID = 35
    thisalinea.parentID = 30
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SIGNMARK
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = " Faciliteren medeoverheden en regionale partijen om circulaire economie- opgave regionaal in de praktijk te brengen; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append(" Faciliteren medeoverheden en regionale partijen om circulaire economie-")
    thisalinea.textcontent.append("opgave regionaal in de praktijk te brengen;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = " Meer ondernemers in het peloton bereiken door verdere opschaling van ..."
    thisalinea.titlefontsize = "9.0"
    thisalinea.nativeID = 36
    thisalinea.parentID = 30
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SIGNMARK
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = " Meer ondernemers in het peloton bereiken door verdere opschaling van het Versnellingshuis Nederland Circulair!; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append(" Meer ondernemers in het peloton bereiken door verdere opschaling van")
    thisalinea.textcontent.append("het Versnellingshuis Nederland Circulair!;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = " Aandacht voor het thema duurzaamheid in brede zin en de circulaire ..."
    thisalinea.titlefontsize = "9.0"
    thisalinea.nativeID = 37
    thisalinea.parentID = 30
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SIGNMARK
    thisalinea.horizontal_ordering = 6
    thisalinea.summary = " Aandacht voor het thema duurzaamheid in brede zin en de circulaire economie vergroten en vraaggestuurd het onderwijs hierin ondersteunen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append(" Aandacht voor het thema duurzaamheid in brede zin en de circulaire")
    thisalinea.textcontent.append("economie vergroten en vraaggestuurd het onderwijs hierin ondersteunen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = " Het (laten) opvangen van de sociale gevolgen van afbouw door om- en ..."
    thisalinea.titlefontsize = "9.0"
    thisalinea.nativeID = 38
    thisalinea.parentID = 30
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SIGNMARK
    thisalinea.horizontal_ordering = 7
    thisalinea.summary = " Het (laten) opvangen van de sociale gevolgen van afbouw door om- en bijscholing naar circulaire skills; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append(" Het (laten) opvangen van de sociale gevolgen van afbouw door om- en")
    thisalinea.textcontent.append("bijscholing naar circulaire skills;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = " Inzet op een data- en digitaliseringsstrategie, een platform om datadeling ..."
    thisalinea.titlefontsize = "9.0"
    thisalinea.nativeID = 39
    thisalinea.parentID = 30
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SIGNMARK
    thisalinea.horizontal_ordering = 8
    thisalinea.summary = " Inzet op een data- en digitaliseringsstrategie, een platform om datadeling te faciliteren; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append(" Inzet op een data- en digitaliseringsstrategie, een platform om datadeling")
    thisalinea.textcontent.append("te faciliteren;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = " Een onderzoeksagenda opstellen om de gaten in beschikbare data op te ..."
    thisalinea.titlefontsize = "9.0"
    thisalinea.nativeID = 40
    thisalinea.parentID = 30
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SIGNMARK
    thisalinea.horizontal_ordering = 9
    thisalinea.summary = " Een onderzoeksagenda opstellen om de gaten in beschikbare data op te vullen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append(" Een onderzoeksagenda opstellen om de gaten in beschikbare data op te")
    thisalinea.textcontent.append("vullen.")
    alineas.append(thisalinea)

    return alineas
